/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { getHeaders } from '@managed-api/commons-core';
export function constructHeaders(body, manualHeaders) {
    return getHeaders(body, manualHeaders);
}
export async function errorMessageBuilder(response, reason) {
    var _a, _b, _c, _d;
    try {
        const error = await response.json();
        return `${reason} - ${_b = (_a = error.error) === null || _a === void 0 ? void 0 : _a.message, (_b !== null && _b !== void 0 ? _b : 'NA')} Status: ${error.status}, details: ${_d = (_c = error.error) === null || _c === void 0 ? void 0 : _c.detail, (_d !== null && _d !== void 0 ? _d : 'NA')}.`;
    }
    catch { }
    return reason;
}
//# sourceMappingURL=common.js.map