/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphMobileAppIdentifierAsResponse } from "../definitions/MicrosoftGraphMobileAppIdentifierAsResponse";
import { MicrosoftGraphManagedAppFlaggedReasonAsResponse } from "../definitions/MicrosoftGraphManagedAppFlaggedReasonAsResponse";
import { MicrosoftGraphManagedAppPolicyAsResponse } from "../definitions/MicrosoftGraphManagedAppPolicyAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphManagedAppOperationAsResponse } from "../definitions/MicrosoftGraphManagedAppOperationAsResponse";
export interface MicrosoftGraphAndroidManagedAppRegistrationAsResponse {
    id?: string;
    appIdentifier?: MicrosoftGraphMobileAppIdentifierAsResponse | null;
    applicationVersion?: string | null;
    createdDateTime?: string;
    deviceName?: string | null;
    deviceTag?: string | null;
    deviceType?: string | null;
    flaggedReasons?: Array<MicrosoftGraphManagedAppFlaggedReasonAsResponse>;
    lastSyncDateTime?: string;
    managementSdkVersion?: string | null;
    platformVersion?: string | null;
    userId?: string | null;
    version?: string | null;
    appliedPolicies?: Array<MicrosoftGraphManagedAppPolicyAsResponse>;
    "appliedPolicies@odata.count"?: CountAsResponse;
    intendedPolicies?: Array<MicrosoftGraphManagedAppPolicyAsResponse>;
    "intendedPolicies@odata.count"?: CountAsResponse;
    operations?: Array<MicrosoftGraphManagedAppOperationAsResponse>;
    "operations@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphAndroidManagedAppRegistrationAsResponse.d.ts.map