/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphEmailAuthenticationMethodAsResponse } from "../definitions/MicrosoftGraphEmailAuthenticationMethodAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphFido2AuthenticationMethodAsResponse } from "../definitions/MicrosoftGraphFido2AuthenticationMethodAsResponse";
import { MicrosoftGraphAuthenticationMethodAsResponse } from "../definitions/MicrosoftGraphAuthenticationMethodAsResponse";
import { MicrosoftGraphMicrosoftAuthenticatorAuthenticationMethodAsResponse } from "../definitions/MicrosoftGraphMicrosoftAuthenticatorAuthenticationMethodAsResponse";
import { MicrosoftGraphLongRunningOperationAsResponse } from "../definitions/MicrosoftGraphLongRunningOperationAsResponse";
import { MicrosoftGraphPasswordAuthenticationMethodAsResponse } from "../definitions/MicrosoftGraphPasswordAuthenticationMethodAsResponse";
import { MicrosoftGraphPhoneAuthenticationMethodAsResponse } from "../definitions/MicrosoftGraphPhoneAuthenticationMethodAsResponse";
import { MicrosoftGraphSoftwareOathAuthenticationMethodAsResponse } from "../definitions/MicrosoftGraphSoftwareOathAuthenticationMethodAsResponse";
import { MicrosoftGraphTemporaryAccessPassAuthenticationMethodAsResponse } from "../definitions/MicrosoftGraphTemporaryAccessPassAuthenticationMethodAsResponse";
import { MicrosoftGraphWindowsHelloForBusinessAuthenticationMethodAsResponse } from "../definitions/MicrosoftGraphWindowsHelloForBusinessAuthenticationMethodAsResponse";
export interface MicrosoftGraphAuthenticationAsResponse {
    id?: string;
    emailMethods?: Array<MicrosoftGraphEmailAuthenticationMethodAsResponse>;
    "emailMethods@odata.count"?: CountAsResponse;
    fido2Methods?: Array<MicrosoftGraphFido2AuthenticationMethodAsResponse>;
    "fido2Methods@odata.count"?: CountAsResponse;
    methods?: Array<MicrosoftGraphAuthenticationMethodAsResponse>;
    "methods@odata.count"?: CountAsResponse;
    microsoftAuthenticatorMethods?: Array<MicrosoftGraphMicrosoftAuthenticatorAuthenticationMethodAsResponse>;
    "microsoftAuthenticatorMethods@odata.count"?: CountAsResponse;
    operations?: Array<MicrosoftGraphLongRunningOperationAsResponse>;
    "operations@odata.count"?: CountAsResponse;
    passwordMethods?: Array<MicrosoftGraphPasswordAuthenticationMethodAsResponse>;
    "passwordMethods@odata.count"?: CountAsResponse;
    phoneMethods?: Array<MicrosoftGraphPhoneAuthenticationMethodAsResponse>;
    "phoneMethods@odata.count"?: CountAsResponse;
    softwareOathMethods?: Array<MicrosoftGraphSoftwareOathAuthenticationMethodAsResponse>;
    "softwareOathMethods@odata.count"?: CountAsResponse;
    temporaryAccessPassMethods?: Array<MicrosoftGraphTemporaryAccessPassAuthenticationMethodAsResponse>;
    "temporaryAccessPassMethods@odata.count"?: CountAsResponse;
    windowsHelloForBusinessMethods?: Array<MicrosoftGraphWindowsHelloForBusinessAuthenticationMethodAsResponse>;
    "windowsHelloForBusinessMethods@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphAuthenticationAsResponse.d.ts.map