/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphAllowInvitesFromAsResponse } from "../definitions/MicrosoftGraphAllowInvitesFromAsResponse";
import { MicrosoftGraphDefaultUserRolePermissionsAsResponse } from "../definitions/MicrosoftGraphDefaultUserRolePermissionsAsResponse";
export interface MicrosoftGraphAuthorizationPolicyAsResponse {
    id?: string;
    deletedDateTime?: string | null;
    description?: string | null;
    displayName?: string | null;
    allowedToSignUpEmailBasedSubscriptions?: boolean;
    allowedToUseSSPR?: boolean;
    allowEmailVerifiedUsersToJoinOrganization?: boolean;
    allowInvitesFrom?: MicrosoftGraphAllowInvitesFromAsResponse | null;
    blockMsolPowerShell?: boolean | null;
    defaultUserRolePermissions?: MicrosoftGraphDefaultUserRolePermissionsAsResponse;
    guestUserRoleId?: string | null;
}
//# sourceMappingURL=MicrosoftGraphAuthorizationPolicyAsResponse.d.ts.map