/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphOnlineMeetingProviderTypeAsResponse } from "../definitions/MicrosoftGraphOnlineMeetingProviderTypeAsResponse";
import { MicrosoftGraphCalendarColorAsResponse } from "../definitions/MicrosoftGraphCalendarColorAsResponse";
import { MicrosoftGraphEmailAddressAsResponse } from "../definitions/MicrosoftGraphEmailAddressAsResponse";
import { MicrosoftGraphCalendarPermissionAsResponse } from "../definitions/MicrosoftGraphCalendarPermissionAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphEventAsResponse } from "../definitions/MicrosoftGraphEventAsResponse";
import { MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse";
import { MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse";
export interface MicrosoftGraphCalendarAsResponse {
    id?: string;
    allowedOnlineMeetingProviders?: Array<MicrosoftGraphOnlineMeetingProviderTypeAsResponse>;
    canEdit?: boolean | null;
    canShare?: boolean | null;
    canViewPrivateItems?: boolean | null;
    changeKey?: string | null;
    color?: MicrosoftGraphCalendarColorAsResponse | null;
    defaultOnlineMeetingProvider?: MicrosoftGraphOnlineMeetingProviderTypeAsResponse | null;
    hexColor?: string | null;
    isDefaultCalendar?: boolean | null;
    isRemovable?: boolean | null;
    isTallyingResponses?: boolean | null;
    name?: string | null;
    owner?: MicrosoftGraphEmailAddressAsResponse | null;
    calendarPermissions?: Array<MicrosoftGraphCalendarPermissionAsResponse>;
    "calendarPermissions@odata.count"?: CountAsResponse;
    calendarView?: Array<MicrosoftGraphEventAsResponse>;
    "calendarView@odata.count"?: CountAsResponse;
    events?: Array<MicrosoftGraphEventAsResponse>;
    "events@odata.count"?: CountAsResponse;
    multiValueExtendedProperties?: Array<MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse>;
    "multiValueExtendedProperties@odata.count"?: CountAsResponse;
    singleValueExtendedProperties?: Array<MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse>;
    "singleValueExtendedProperties@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphCalendarAsResponse.d.ts.map