/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphChannelMembershipTypeAsResponse } from "../definitions/MicrosoftGraphChannelMembershipTypeAsResponse";
import { MicrosoftGraphDriveItemAsResponse } from "../definitions/MicrosoftGraphDriveItemAsResponse";
import { MicrosoftGraphConversationMemberAsResponse } from "../definitions/MicrosoftGraphConversationMemberAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphChatMessageAsResponse } from "../definitions/MicrosoftGraphChatMessageAsResponse";
import { MicrosoftGraphSharedWithChannelTeamInfoAsResponse } from "../definitions/MicrosoftGraphSharedWithChannelTeamInfoAsResponse";
import { MicrosoftGraphTeamsTabAsResponse } from "../definitions/MicrosoftGraphTeamsTabAsResponse";
export interface MicrosoftGraphChannelAsResponse {
    id?: string;
    createdDateTime?: string | null;
    description?: string | null;
    displayName?: string;
    email?: string | null;
    isFavoriteByDefault?: boolean | null;
    membershipType?: MicrosoftGraphChannelMembershipTypeAsResponse | null;
    tenantId?: string | null;
    webUrl?: string | null;
    filesFolder?: MicrosoftGraphDriveItemAsResponse | null;
    members?: Array<MicrosoftGraphConversationMemberAsResponse>;
    "members@odata.count"?: CountAsResponse;
    messages?: Array<MicrosoftGraphChatMessageAsResponse>;
    "messages@odata.count"?: CountAsResponse;
    sharedWithTeams?: Array<MicrosoftGraphSharedWithChannelTeamInfoAsResponse>;
    "sharedWithTeams@odata.count"?: CountAsResponse;
    tabs?: Array<MicrosoftGraphTeamsTabAsResponse>;
    "tabs@odata.count"?: CountAsResponse;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphChannelAsResponse.d.ts.map