/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphChatTypeAsResponse } from "../definitions/MicrosoftGraphChatTypeAsResponse";
import { MicrosoftGraphTeamworkOnlineMeetingInfoAsResponse } from "../definitions/MicrosoftGraphTeamworkOnlineMeetingInfoAsResponse";
import { MicrosoftGraphChatViewpointAsResponse } from "../definitions/MicrosoftGraphChatViewpointAsResponse";
import { MicrosoftGraphTeamsAppInstallationAsResponse } from "../definitions/MicrosoftGraphTeamsAppInstallationAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphChatMessageInfoAsResponse } from "../definitions/MicrosoftGraphChatMessageInfoAsResponse";
import { MicrosoftGraphConversationMemberAsResponse } from "../definitions/MicrosoftGraphConversationMemberAsResponse";
import { MicrosoftGraphChatMessageAsResponse } from "../definitions/MicrosoftGraphChatMessageAsResponse";
import { MicrosoftGraphPinnedChatMessageInfoAsResponse } from "../definitions/MicrosoftGraphPinnedChatMessageInfoAsResponse";
import { MicrosoftGraphTeamsTabAsResponse } from "../definitions/MicrosoftGraphTeamsTabAsResponse";
export interface MicrosoftGraphChatAsResponse {
    id?: string;
    chatType?: MicrosoftGraphChatTypeAsResponse;
    createdDateTime?: string | null;
    lastUpdatedDateTime?: string | null;
    onlineMeetingInfo?: MicrosoftGraphTeamworkOnlineMeetingInfoAsResponse | null;
    tenantId?: string | null;
    topic?: string | null;
    viewpoint?: MicrosoftGraphChatViewpointAsResponse | null;
    webUrl?: string | null;
    installedApps?: Array<MicrosoftGraphTeamsAppInstallationAsResponse>;
    "installedApps@odata.count"?: CountAsResponse;
    lastMessagePreview?: MicrosoftGraphChatMessageInfoAsResponse | null;
    members?: Array<MicrosoftGraphConversationMemberAsResponse>;
    "members@odata.count"?: CountAsResponse;
    messages?: Array<MicrosoftGraphChatMessageAsResponse>;
    "messages@odata.count"?: CountAsResponse;
    pinnedMessages?: Array<MicrosoftGraphPinnedChatMessageInfoAsResponse>;
    "pinnedMessages@odata.count"?: CountAsResponse;
    tabs?: Array<MicrosoftGraphTeamsTabAsResponse>;
    "tabs@odata.count"?: CountAsResponse;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphChatAsResponse.d.ts.map