/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphChatType } from "../definitions/MicrosoftGraphChatType";
export interface MicrosoftGraphChatCreate {
    chatType: MicrosoftGraphChatType;
    topic?: string | null;
    members: Array<{
        id: string;
        roles: Array<"owner" | "guest">;
        userType?: string;
        [x: string]: any;
    }>;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphChatCreate.d.ts.map