/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphChatMessageAttachmentAsResponse } from "../definitions/MicrosoftGraphChatMessageAttachmentAsResponse";
import { MicrosoftGraphItemBodyAsResponse } from "../definitions/MicrosoftGraphItemBodyAsResponse";
import { MicrosoftGraphChannelIdentityAsResponse } from "../definitions/MicrosoftGraphChannelIdentityAsResponse";
import { MicrosoftGraphEventMessageDetailAsResponse } from "../definitions/MicrosoftGraphEventMessageDetailAsResponse";
import { MicrosoftGraphChatMessageFromIdentitySetAsResponse } from "../definitions/MicrosoftGraphChatMessageFromIdentitySetAsResponse";
import { MicrosoftGraphChatMessageImportanceAsResponse } from "../definitions/MicrosoftGraphChatMessageImportanceAsResponse";
import { MicrosoftGraphChatMessageMentionAsResponse } from "../definitions/MicrosoftGraphChatMessageMentionAsResponse";
import { MicrosoftGraphChatMessageTypeAsResponse } from "../definitions/MicrosoftGraphChatMessageTypeAsResponse";
import { MicrosoftGraphChatMessagePolicyViolationAsResponse } from "../definitions/MicrosoftGraphChatMessagePolicyViolationAsResponse";
import { MicrosoftGraphChatMessageReactionAsResponse } from "../definitions/MicrosoftGraphChatMessageReactionAsResponse";
import { MicrosoftGraphChatMessageHostedContentAsResponse } from "../definitions/MicrosoftGraphChatMessageHostedContentAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
export interface MicrosoftGraphChatMessageAsResponse {
    id?: string;
    attachments?: Array<MicrosoftGraphChatMessageAttachmentAsResponse>;
    body?: MicrosoftGraphItemBodyAsResponse;
    channelIdentity?: MicrosoftGraphChannelIdentityAsResponse | null;
    chatId?: string | null;
    createdDateTime?: string | null;
    deletedDateTime?: string | null;
    etag?: string | null;
    eventDetail?: MicrosoftGraphEventMessageDetailAsResponse | null;
    from?: MicrosoftGraphChatMessageFromIdentitySetAsResponse | null;
    importance?: MicrosoftGraphChatMessageImportanceAsResponse;
    lastEditedDateTime?: string | null;
    lastModifiedDateTime?: string | null;
    locale?: string;
    mentions?: Array<MicrosoftGraphChatMessageMentionAsResponse>;
    messageType?: MicrosoftGraphChatMessageTypeAsResponse;
    policyViolation?: MicrosoftGraphChatMessagePolicyViolationAsResponse | null;
    reactions?: Array<MicrosoftGraphChatMessageReactionAsResponse>;
    replyToId?: string | null;
    subject?: string | null;
    summary?: string | null;
    webUrl?: string | null;
    hostedContents?: Array<MicrosoftGraphChatMessageHostedContentAsResponse>;
    "hostedContents@odata.count"?: CountAsResponse;
    replies?: Array<MicrosoftGraphChatMessageAsResponse>;
    "replies@odata.count"?: CountAsResponse;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphChatMessageAsResponse.d.ts.map