/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphChatMessageAttachmentCreate } from "../definitions/MicrosoftGraphChatMessageAttachmentCreate";
import { MicrosoftGraphItemBodyCreate } from "../definitions/MicrosoftGraphItemBodyCreate";
import { MicrosoftGraphChatMessageFromIdentitySetCreate } from "../definitions/MicrosoftGraphChatMessageFromIdentitySetCreate";
import { MicrosoftGraphChatMessageImportance } from "../definitions/MicrosoftGraphChatMessageImportance";
import { MicrosoftGraphChatMessageMentionCreate } from "../definitions/MicrosoftGraphChatMessageMentionCreate";
import { MicrosoftGraphChatMessageHostedContentCreate } from "../definitions/MicrosoftGraphChatMessageHostedContentCreate";
export interface MicrosoftGraphChatMessageCreate {
    attachments?: Array<MicrosoftGraphChatMessageAttachmentCreate>;
    body: MicrosoftGraphItemBodyCreate;
    createdDateTime?: string;
    from?: MicrosoftGraphChatMessageFromIdentitySetCreate;
    importance?: MicrosoftGraphChatMessageImportance;
    mentions?: Array<MicrosoftGraphChatMessageMentionCreate>;
    subject?: string;
    hostedContents?: Array<MicrosoftGraphChatMessageHostedContentCreate>;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphChatMessageCreate.d.ts.map