/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface MicrosoftGraphChatMessageMentionUpdate {
    id?: number | null;
    mentioned?: {
        user?: {
            id?: string;
            displayName?: string;
            userIdentityType?: string;
            [x: string]: any;
        };
        conversation?: {
            id?: string;
            displayName?: string;
            conversationIdentityType?: string;
            [x: string]: any;
        };
        tag?: {
            [x: string]: any;
        };
        application?: {
            [x: string]: any;
        };
        device?: {
            [x: string]: any;
        };
        [x: string]: any;
    };
    mentionText?: string | null;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphChatMessageMentionUpdate.d.ts.map