/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphChatMessageAttachmentUpdate } from "../definitions/MicrosoftGraphChatMessageAttachmentUpdate";
import { MicrosoftGraphItemBodyUpdate } from "../definitions/MicrosoftGraphItemBodyUpdate";
import { MicrosoftGraphChatMessageImportance } from "../definitions/MicrosoftGraphChatMessageImportance";
import { MicrosoftGraphChatMessageMentionUpdate } from "../definitions/MicrosoftGraphChatMessageMentionUpdate";
import { MicrosoftGraphChatMessagePolicyViolationUpdate } from "../definitions/MicrosoftGraphChatMessagePolicyViolationUpdate";
export interface MicrosoftGraphChatMessageUpdate {
    attachments?: Array<MicrosoftGraphChatMessageAttachmentUpdate>;
    body?: MicrosoftGraphItemBodyUpdate;
    importance?: MicrosoftGraphChatMessageImportance;
    mentions?: Array<MicrosoftGraphChatMessageMentionUpdate>;
    policyViolation?: MicrosoftGraphChatMessagePolicyViolationUpdate | null;
    subject?: string | null;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphChatMessageUpdate.d.ts.map