/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphBooleanColumnAsResponse } from "../definitions/MicrosoftGraphBooleanColumnAsResponse";
import { MicrosoftGraphCalculatedColumnAsResponse } from "../definitions/MicrosoftGraphCalculatedColumnAsResponse";
import { MicrosoftGraphChoiceColumnAsResponse } from "../definitions/MicrosoftGraphChoiceColumnAsResponse";
import { MicrosoftGraphContentApprovalStatusColumnAsResponse } from "../definitions/MicrosoftGraphContentApprovalStatusColumnAsResponse";
import { MicrosoftGraphCurrencyColumnAsResponse } from "../definitions/MicrosoftGraphCurrencyColumnAsResponse";
import { MicrosoftGraphDateTimeColumnAsResponse } from "../definitions/MicrosoftGraphDateTimeColumnAsResponse";
import { MicrosoftGraphDefaultColumnValueAsResponse } from "../definitions/MicrosoftGraphDefaultColumnValueAsResponse";
import { MicrosoftGraphGeolocationColumnAsResponse } from "../definitions/MicrosoftGraphGeolocationColumnAsResponse";
import { MicrosoftGraphHyperlinkOrPictureColumnAsResponse } from "../definitions/MicrosoftGraphHyperlinkOrPictureColumnAsResponse";
import { MicrosoftGraphLookupColumnAsResponse } from "../definitions/MicrosoftGraphLookupColumnAsResponse";
import { MicrosoftGraphNumberColumnAsResponse } from "../definitions/MicrosoftGraphNumberColumnAsResponse";
import { MicrosoftGraphPersonOrGroupColumnAsResponse } from "../definitions/MicrosoftGraphPersonOrGroupColumnAsResponse";
import { MicrosoftGraphContentTypeInfoAsResponse } from "../definitions/MicrosoftGraphContentTypeInfoAsResponse";
import { MicrosoftGraphTermColumnAsResponse } from "../definitions/MicrosoftGraphTermColumnAsResponse";
import { MicrosoftGraphTextColumnAsResponse } from "../definitions/MicrosoftGraphTextColumnAsResponse";
import { MicrosoftGraphThumbnailColumnAsResponse } from "../definitions/MicrosoftGraphThumbnailColumnAsResponse";
import { MicrosoftGraphColumnTypesAsResponse } from "../definitions/MicrosoftGraphColumnTypesAsResponse";
import { MicrosoftGraphColumnValidationAsResponse } from "../definitions/MicrosoftGraphColumnValidationAsResponse";
export interface MicrosoftGraphColumnDefinitionAsResponse {
    id?: string;
    boolean?: MicrosoftGraphBooleanColumnAsResponse | null;
    calculated?: MicrosoftGraphCalculatedColumnAsResponse | null;
    choice?: MicrosoftGraphChoiceColumnAsResponse | null;
    columnGroup?: string | null;
    contentApprovalStatus?: MicrosoftGraphContentApprovalStatusColumnAsResponse | null;
    currency?: MicrosoftGraphCurrencyColumnAsResponse | null;
    dateTime?: MicrosoftGraphDateTimeColumnAsResponse | null;
    defaultValue?: MicrosoftGraphDefaultColumnValueAsResponse | null;
    description?: string | null;
    displayName?: string | null;
    enforceUniqueValues?: boolean | null;
    geolocation?: MicrosoftGraphGeolocationColumnAsResponse | null;
    hidden?: boolean | null;
    hyperlinkOrPicture?: MicrosoftGraphHyperlinkOrPictureColumnAsResponse | null;
    indexed?: boolean | null;
    isDeletable?: boolean | null;
    isReorderable?: boolean | null;
    isSealed?: boolean | null;
    lookup?: MicrosoftGraphLookupColumnAsResponse | null;
    name?: string | null;
    number?: MicrosoftGraphNumberColumnAsResponse | null;
    personOrGroup?: MicrosoftGraphPersonOrGroupColumnAsResponse | null;
    propagateChanges?: boolean | null;
    readOnly?: boolean | null;
    required?: boolean | null;
    sourceContentType?: MicrosoftGraphContentTypeInfoAsResponse | null;
    term?: MicrosoftGraphTermColumnAsResponse | null;
    text?: MicrosoftGraphTextColumnAsResponse | null;
    thumbnail?: MicrosoftGraphThumbnailColumnAsResponse | null;
    type?: MicrosoftGraphColumnTypesAsResponse | null;
    validation?: MicrosoftGraphColumnValidationAsResponse | null;
    sourceColumn?: MicrosoftGraphColumnDefinitionAsResponse;
}
//# sourceMappingURL=MicrosoftGraphColumnDefinitionAsResponse.d.ts.map