/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphPhysicalAddressAsResponse } from "../definitions/MicrosoftGraphPhysicalAddressAsResponse";
import { MicrosoftGraphEmailAddressAsResponse } from "../definitions/MicrosoftGraphEmailAddressAsResponse";
import { MicrosoftGraphExtensionAsResponse } from "../definitions/MicrosoftGraphExtensionAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse";
import { MicrosoftGraphProfilePhotoAsResponse } from "../definitions/MicrosoftGraphProfilePhotoAsResponse";
import { MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse";
export interface MicrosoftGraphContactAsResponse {
    id?: string;
    categories?: Array<string>;
    changeKey?: string | null;
    createdDateTime?: string | null;
    lastModifiedDateTime?: string | null;
    assistantName?: string | null;
    birthday?: string | null;
    businessAddress?: MicrosoftGraphPhysicalAddressAsResponse | null;
    businessHomePage?: string | null;
    businessPhones?: Array<string>;
    children?: Array<string>;
    companyName?: string | null;
    department?: string | null;
    displayName?: string | null;
    emailAddresses?: Array<MicrosoftGraphEmailAddressAsResponse>;
    fileAs?: string | null;
    generation?: string | null;
    givenName?: string | null;
    homeAddress?: MicrosoftGraphPhysicalAddressAsResponse | null;
    homePhones?: Array<string>;
    imAddresses?: Array<string>;
    initials?: string | null;
    jobTitle?: string | null;
    manager?: string | null;
    middleName?: string | null;
    mobilePhone?: string | null;
    nickName?: string | null;
    officeLocation?: string | null;
    otherAddress?: MicrosoftGraphPhysicalAddressAsResponse | null;
    parentFolderId?: string | null;
    personalNotes?: string | null;
    profession?: string | null;
    spouseName?: string | null;
    surname?: string | null;
    title?: string | null;
    yomiCompanyName?: string | null;
    yomiGivenName?: string | null;
    yomiSurname?: string | null;
    extensions?: Array<MicrosoftGraphExtensionAsResponse>;
    "extensions@odata.count"?: CountAsResponse;
    multiValueExtendedProperties?: Array<MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse>;
    "multiValueExtendedProperties@odata.count"?: CountAsResponse;
    photo?: MicrosoftGraphProfilePhotoAsResponse | null;
    singleValueExtendedProperties?: Array<MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse>;
    "singleValueExtendedProperties@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphContactAsResponse.d.ts.map