/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphContactAsResponse } from "../definitions/MicrosoftGraphContactAsResponse";
import { MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse";
import { MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse";
export interface MicrosoftGraphContactFolderAsResponse {
    id?: string;
    displayName?: string | null;
    parentFolderId?: string | null;
    childFolders?: Array<MicrosoftGraphContactFolderAsResponse>;
    "childFolders@odata.count"?: CountAsResponse;
    contacts?: Array<MicrosoftGraphContactAsResponse>;
    "contacts@odata.count"?: CountAsResponse;
    multiValueExtendedProperties?: Array<MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse>;
    "multiValueExtendedProperties@odata.count"?: CountAsResponse;
    singleValueExtendedProperties?: Array<MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse>;
    "singleValueExtendedProperties@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphContactFolderAsResponse.d.ts.map