/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphDocumentSetAsResponse } from "../definitions/MicrosoftGraphDocumentSetAsResponse";
import { MicrosoftGraphDocumentSetContentAsResponse } from "../definitions/MicrosoftGraphDocumentSetContentAsResponse";
import { MicrosoftGraphItemReferenceAsResponse } from "../definitions/MicrosoftGraphItemReferenceAsResponse";
import { MicrosoftGraphContentTypeOrderAsResponse } from "../definitions/MicrosoftGraphContentTypeOrderAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphColumnLinkAsResponse } from "../definitions/MicrosoftGraphColumnLinkAsResponse";
import { MicrosoftGraphColumnDefinitionAsResponse } from "../definitions/MicrosoftGraphColumnDefinitionAsResponse";
export interface MicrosoftGraphContentTypeAsResponse {
    id?: string;
    associatedHubsUrls?: Array<string>;
    description?: string | null;
    documentSet?: MicrosoftGraphDocumentSetAsResponse | null;
    documentTemplate?: MicrosoftGraphDocumentSetContentAsResponse | null;
    group?: string | null;
    hidden?: boolean | null;
    inheritedFrom?: MicrosoftGraphItemReferenceAsResponse | null;
    isBuiltIn?: boolean | null;
    name?: string | null;
    order?: MicrosoftGraphContentTypeOrderAsResponse | null;
    parentId?: string | null;
    propagateChanges?: boolean | null;
    readOnly?: boolean | null;
    sealed?: boolean | null;
    base?: MicrosoftGraphContentTypeAsResponse;
    baseTypes?: Array<MicrosoftGraphContentTypeAsResponse>;
    "baseTypes@odata.count"?: CountAsResponse;
    columnLinks?: Array<MicrosoftGraphColumnLinkAsResponse>;
    "columnLinks@odata.count"?: CountAsResponse;
    columnPositions?: Array<MicrosoftGraphColumnDefinitionAsResponse>;
    "columnPositions@odata.count"?: CountAsResponse;
    columns?: Array<MicrosoftGraphColumnDefinitionAsResponse>;
    "columns@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphContentTypeAsResponse.d.ts.map