/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphAlternativeSecurityIdAsResponse } from "../definitions/MicrosoftGraphAlternativeSecurityIdAsResponse";
import { MicrosoftGraphDirectoryObjectAsResponse } from "../definitions/MicrosoftGraphDirectoryObjectAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphExtensionAsResponse } from "../definitions/MicrosoftGraphExtensionAsResponse";
export interface MicrosoftGraphDeviceAsResponse {
    id?: string;
    deletedDateTime?: string | null;
    accountEnabled?: boolean | null;
    alternativeSecurityIds?: Array<MicrosoftGraphAlternativeSecurityIdAsResponse>;
    approximateLastSignInDateTime?: string | null;
    complianceExpirationDateTime?: string | null;
    deviceId?: string | null;
    deviceMetadata?: string | null;
    deviceVersion?: number | null;
    displayName?: string | null;
    isCompliant?: boolean | null;
    isManaged?: boolean | null;
    mdmAppId?: string | null;
    onPremisesLastSyncDateTime?: string | null;
    onPremisesSyncEnabled?: boolean | null;
    operatingSystem?: string | null;
    operatingSystemVersion?: string | null;
    physicalIds?: Array<string>;
    profileType?: string | null;
    systemLabels?: Array<string>;
    trustType?: string | null;
    memberOf?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "memberOf@odata.count"?: CountAsResponse;
    registeredOwners?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "registeredOwners@odata.count"?: CountAsResponse;
    registeredUsers?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "registeredUsers@odata.count"?: CountAsResponse;
    transitiveMemberOf?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "transitiveMemberOf@odata.count"?: CountAsResponse;
    extensions?: Array<MicrosoftGraphExtensionAsResponse>;
    "extensions@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphDeviceAsResponse.d.ts.map