/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface MicrosoftGraphDeviceHealthAttestationStateAsResponse {
    attestationIdentityKey?: string | null;
    bitLockerStatus?: string | null;
    bootAppSecurityVersion?: string | null;
    bootDebugging?: string | null;
    bootManagerSecurityVersion?: string | null;
    bootManagerVersion?: string | null;
    bootRevisionListInfo?: string | null;
    codeIntegrity?: string | null;
    codeIntegrityCheckVersion?: string | null;
    codeIntegrityPolicy?: string | null;
    contentNamespaceUrl?: string | null;
    contentVersion?: string | null;
    dataExcutionPolicy?: string | null;
    deviceHealthAttestationStatus?: string | null;
    earlyLaunchAntiMalwareDriverProtection?: string | null;
    healthAttestationSupportedStatus?: string | null;
    healthStatusMismatchInfo?: string | null;
    issuedDateTime?: string;
    lastUpdateDateTime?: string | null;
    operatingSystemKernelDebugging?: string | null;
    operatingSystemRevListInfo?: string | null;
    pcr0?: string | null;
    pcrHashAlgorithm?: string | null;
    resetCount?: number | string;
    restartCount?: number | string;
    safeMode?: string | null;
    secureBoot?: string | null;
    secureBootConfigurationPolicyFingerPrint?: string | null;
    testSigning?: string | null;
    tpmVersion?: string | null;
    virtualSecureMode?: string | null;
    windowsPE?: string | null;
}
//# sourceMappingURL=MicrosoftGraphDeviceHealthAttestationStateAsResponse.d.ts.map