/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphDirectoryObjectAsResponse } from "../definitions/MicrosoftGraphDirectoryObjectAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphScopedRoleMembershipAsResponse } from "../definitions/MicrosoftGraphScopedRoleMembershipAsResponse";
export interface MicrosoftGraphDirectoryRoleAsResponse {
    id?: string;
    deletedDateTime?: string | null;
    description?: string | null;
    displayName?: string | null;
    roleTemplateId?: string | null;
    members?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "members@odata.count"?: CountAsResponse;
    scopedMembers?: Array<MicrosoftGraphScopedRoleMembershipAsResponse>;
    "scopedMembers@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphDirectoryRoleAsResponse.d.ts.map