/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphContentTypeInfoAsResponse } from "../definitions/MicrosoftGraphContentTypeInfoAsResponse";
import { MicrosoftGraphDocumentSetContentAsResponse } from "../definitions/MicrosoftGraphDocumentSetContentAsResponse";
import { MicrosoftGraphColumnDefinitionAsResponse } from "../definitions/MicrosoftGraphColumnDefinitionAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
export interface MicrosoftGraphDocumentSetAsResponse {
    allowedContentTypes?: Array<MicrosoftGraphContentTypeInfoAsResponse>;
    defaultContents?: Array<MicrosoftGraphDocumentSetContentAsResponse>;
    propagateWelcomePageChanges?: boolean | null;
    shouldPrefixNameToFile?: boolean | null;
    welcomePageUrl?: string | null;
    sharedColumns?: Array<MicrosoftGraphColumnDefinitionAsResponse>;
    "sharedColumns@odata.count"?: CountAsResponse;
    welcomePageColumns?: Array<MicrosoftGraphColumnDefinitionAsResponse>;
    "welcomePageColumns@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphDocumentSetAsResponse.d.ts.map