/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphPublicationFacetAsResponse } from "../definitions/MicrosoftGraphPublicationFacetAsResponse";
import { MicrosoftGraphFieldValueSetAsResponse } from "../definitions/MicrosoftGraphFieldValueSetAsResponse";
import { MicrosoftGraphDocumentSetVersionItemAsResponse } from "../definitions/MicrosoftGraphDocumentSetVersionItemAsResponse";
export interface MicrosoftGraphDocumentSetVersionAsResponse {
    id?: string;
    lastModifiedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    lastModifiedDateTime?: string | null;
    publication?: MicrosoftGraphPublicationFacetAsResponse | null;
    fields?: MicrosoftGraphFieldValueSetAsResponse | null;
    comment?: string | null;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    createdDateTime?: string | null;
    items?: Array<MicrosoftGraphDocumentSetVersionItemAsResponse>;
    shouldCaptureMinorVersion?: boolean | null;
}
//# sourceMappingURL=MicrosoftGraphDocumentSetVersionAsResponse.d.ts.map