/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphItemReferenceAsResponse } from "../definitions/MicrosoftGraphItemReferenceAsResponse";
import { MicrosoftGraphUserAsResponse } from "../definitions/MicrosoftGraphUserAsResponse";
import { MicrosoftGraphAudioAsResponse } from "../definitions/MicrosoftGraphAudioAsResponse";
import { MicrosoftGraphBundleAsResponse } from "../definitions/MicrosoftGraphBundleAsResponse";
import { MicrosoftGraphDeletedAsResponse } from "../definitions/MicrosoftGraphDeletedAsResponse";
import { MicrosoftGraphFileAsResponse } from "../definitions/MicrosoftGraphFileAsResponse";
import { MicrosoftGraphFileSystemInfoAsResponse } from "../definitions/MicrosoftGraphFileSystemInfoAsResponse";
import { MicrosoftGraphFolderAsResponse } from "../definitions/MicrosoftGraphFolderAsResponse";
import { MicrosoftGraphImageAsResponse } from "../definitions/MicrosoftGraphImageAsResponse";
import { MicrosoftGraphGeoCoordinatesAsResponse } from "../definitions/MicrosoftGraphGeoCoordinatesAsResponse";
import { MicrosoftGraphMalwareAsResponse } from "../definitions/MicrosoftGraphMalwareAsResponse";
import { MicrosoftGraphPackageAsResponse } from "../definitions/MicrosoftGraphPackageAsResponse";
import { MicrosoftGraphPendingOperationsAsResponse } from "../definitions/MicrosoftGraphPendingOperationsAsResponse";
import { MicrosoftGraphPhotoAsResponse } from "../definitions/MicrosoftGraphPhotoAsResponse";
import { MicrosoftGraphPublicationFacetAsResponse } from "../definitions/MicrosoftGraphPublicationFacetAsResponse";
import { MicrosoftGraphRemoteItemAsResponse } from "../definitions/MicrosoftGraphRemoteItemAsResponse";
import { MicrosoftGraphRootAsResponse } from "../definitions/MicrosoftGraphRootAsResponse";
import { MicrosoftGraphSearchResultAsResponse } from "../definitions/MicrosoftGraphSearchResultAsResponse";
import { MicrosoftGraphSharedAsResponse } from "../definitions/MicrosoftGraphSharedAsResponse";
import { MicrosoftGraphSharepointIdsAsResponse } from "../definitions/MicrosoftGraphSharepointIdsAsResponse";
import { MicrosoftGraphSpecialFolderAsResponse } from "../definitions/MicrosoftGraphSpecialFolderAsResponse";
import { MicrosoftGraphVideoAsResponse } from "../definitions/MicrosoftGraphVideoAsResponse";
import { MicrosoftGraphWorkbookAsResponse } from "../definitions/MicrosoftGraphWorkbookAsResponse";
import { MicrosoftGraphItemAnalyticsAsResponse } from "../definitions/MicrosoftGraphItemAnalyticsAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphListItemAsResponse } from "../definitions/MicrosoftGraphListItemAsResponse";
import { MicrosoftGraphPermissionAsResponse } from "../definitions/MicrosoftGraphPermissionAsResponse";
import { MicrosoftGraphSubscriptionAsResponse } from "../definitions/MicrosoftGraphSubscriptionAsResponse";
import { MicrosoftGraphThumbnailSetAsResponse } from "../definitions/MicrosoftGraphThumbnailSetAsResponse";
import { MicrosoftGraphDriveItemVersionAsResponse } from "../definitions/MicrosoftGraphDriveItemVersionAsResponse";
export interface MicrosoftGraphDriveItemAsResponse {
    id?: string;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    createdDateTime?: string;
    description?: string | null;
    eTag?: string | null;
    lastModifiedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    lastModifiedDateTime?: string;
    name?: string | null;
    parentReference?: MicrosoftGraphItemReferenceAsResponse | null;
    webUrl?: string | null;
    createdByUser?: MicrosoftGraphUserAsResponse;
    lastModifiedByUser?: MicrosoftGraphUserAsResponse;
    audio?: MicrosoftGraphAudioAsResponse | null;
    bundle?: MicrosoftGraphBundleAsResponse | null;
    content?: string | null;
    cTag?: string | null;
    deleted?: MicrosoftGraphDeletedAsResponse | null;
    file?: MicrosoftGraphFileAsResponse | null;
    fileSystemInfo?: MicrosoftGraphFileSystemInfoAsResponse | null;
    folder?: MicrosoftGraphFolderAsResponse | null;
    image?: MicrosoftGraphImageAsResponse | null;
    location?: MicrosoftGraphGeoCoordinatesAsResponse | null;
    malware?: MicrosoftGraphMalwareAsResponse | null;
    package?: MicrosoftGraphPackageAsResponse | null;
    pendingOperations?: MicrosoftGraphPendingOperationsAsResponse | null;
    photo?: MicrosoftGraphPhotoAsResponse | null;
    publication?: MicrosoftGraphPublicationFacetAsResponse | null;
    remoteItem?: MicrosoftGraphRemoteItemAsResponse | null;
    root?: MicrosoftGraphRootAsResponse | null;
    searchResult?: MicrosoftGraphSearchResultAsResponse | null;
    shared?: MicrosoftGraphSharedAsResponse | null;
    sharepointIds?: MicrosoftGraphSharepointIdsAsResponse | null;
    size?: number | string | null;
    specialFolder?: MicrosoftGraphSpecialFolderAsResponse | null;
    video?: MicrosoftGraphVideoAsResponse | null;
    webDavUrl?: string | null;
    workbook?: MicrosoftGraphWorkbookAsResponse | null;
    analytics?: MicrosoftGraphItemAnalyticsAsResponse | null;
    children?: Array<MicrosoftGraphDriveItemAsResponse>;
    "children@odata.count"?: CountAsResponse;
    listItem?: MicrosoftGraphListItemAsResponse | null;
    permissions?: Array<MicrosoftGraphPermissionAsResponse>;
    "permissions@odata.count"?: CountAsResponse;
    subscriptions?: Array<MicrosoftGraphSubscriptionAsResponse>;
    "subscriptions@odata.count"?: CountAsResponse;
    thumbnails?: Array<MicrosoftGraphThumbnailSetAsResponse>;
    "thumbnails@odata.count"?: CountAsResponse;
    versions?: Array<MicrosoftGraphDriveItemVersionAsResponse>;
    "versions@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphDriveItemAsResponse.d.ts.map