/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphAttendeeAsResponse } from "../definitions/MicrosoftGraphAttendeeAsResponse";
import { MicrosoftGraphItemBodyAsResponse } from "../definitions/MicrosoftGraphItemBodyAsResponse";
import { MicrosoftGraphDateTimeTimeZoneAsResponse } from "../definitions/MicrosoftGraphDateTimeTimeZoneAsResponse";
import { MicrosoftGraphImportanceAsResponse } from "../definitions/MicrosoftGraphImportanceAsResponse";
import { MicrosoftGraphLocationAsResponse } from "../definitions/MicrosoftGraphLocationAsResponse";
import { MicrosoftGraphOnlineMeetingInfoAsResponse } from "../definitions/MicrosoftGraphOnlineMeetingInfoAsResponse";
import { MicrosoftGraphOnlineMeetingProviderTypeAsResponse } from "../definitions/MicrosoftGraphOnlineMeetingProviderTypeAsResponse";
import { MicrosoftGraphRecipientAsResponse } from "../definitions/MicrosoftGraphRecipientAsResponse";
import { MicrosoftGraphPatternedRecurrenceAsResponse } from "../definitions/MicrosoftGraphPatternedRecurrenceAsResponse";
import { MicrosoftGraphResponseStatusAsResponse } from "../definitions/MicrosoftGraphResponseStatusAsResponse";
import { MicrosoftGraphSensitivityAsResponse } from "../definitions/MicrosoftGraphSensitivityAsResponse";
import { MicrosoftGraphFreeBusyStatusAsResponse } from "../definitions/MicrosoftGraphFreeBusyStatusAsResponse";
import { MicrosoftGraphEventTypeAsResponse } from "../definitions/MicrosoftGraphEventTypeAsResponse";
import { MicrosoftGraphAttachmentAsResponse } from "../definitions/MicrosoftGraphAttachmentAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphCalendarAsResponse } from "../definitions/MicrosoftGraphCalendarAsResponse";
import { MicrosoftGraphExtensionAsResponse } from "../definitions/MicrosoftGraphExtensionAsResponse";
import { MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse";
import { MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse";
export interface MicrosoftGraphEventAsResponse {
    id?: string;
    categories?: Array<string>;
    changeKey?: string | null;
    createdDateTime?: string | null;
    lastModifiedDateTime?: string | null;
    allowNewTimeProposals?: boolean | null;
    attendees?: Array<MicrosoftGraphAttendeeAsResponse>;
    body?: MicrosoftGraphItemBodyAsResponse | null;
    bodyPreview?: string | null;
    end?: MicrosoftGraphDateTimeTimeZoneAsResponse | null;
    hasAttachments?: boolean | null;
    hideAttendees?: boolean | null;
    iCalUId?: string | null;
    importance?: MicrosoftGraphImportanceAsResponse | null;
    isAllDay?: boolean | null;
    isCancelled?: boolean | null;
    isDraft?: boolean | null;
    isOnlineMeeting?: boolean | null;
    isOrganizer?: boolean | null;
    isReminderOn?: boolean | null;
    location?: MicrosoftGraphLocationAsResponse | null;
    locations?: Array<MicrosoftGraphLocationAsResponse>;
    onlineMeeting?: MicrosoftGraphOnlineMeetingInfoAsResponse | null;
    onlineMeetingProvider?: MicrosoftGraphOnlineMeetingProviderTypeAsResponse | null;
    onlineMeetingUrl?: string | null;
    organizer?: MicrosoftGraphRecipientAsResponse | null;
    originalEndTimeZone?: string | null;
    originalStart?: string | null;
    originalStartTimeZone?: string | null;
    recurrence?: MicrosoftGraphPatternedRecurrenceAsResponse | null;
    reminderMinutesBeforeStart?: number | null;
    responseRequested?: boolean | null;
    responseStatus?: MicrosoftGraphResponseStatusAsResponse | null;
    sensitivity?: MicrosoftGraphSensitivityAsResponse | null;
    seriesMasterId?: string | null;
    showAs?: MicrosoftGraphFreeBusyStatusAsResponse | null;
    start?: MicrosoftGraphDateTimeTimeZoneAsResponse | null;
    subject?: string | null;
    transactionId?: string | null;
    type?: MicrosoftGraphEventTypeAsResponse | null;
    webLink?: string | null;
    attachments?: Array<MicrosoftGraphAttachmentAsResponse>;
    "attachments@odata.count"?: CountAsResponse;
    calendar?: MicrosoftGraphCalendarAsResponse;
    extensions?: Array<MicrosoftGraphExtensionAsResponse>;
    "extensions@odata.count"?: CountAsResponse;
    instances?: Array<MicrosoftGraphEventAsResponse>;
    "instances@odata.count"?: CountAsResponse;
    multiValueExtendedProperties?: Array<MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse>;
    "multiValueExtendedProperties@odata.count"?: CountAsResponse;
    singleValueExtendedProperties?: Array<MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse>;
    "singleValueExtendedProperties@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphEventAsResponse.d.ts.map