/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphManagedAppDataStorageLocationAsResponse } from "../definitions/MicrosoftGraphManagedAppDataStorageLocationAsResponse";
import { MicrosoftGraphManagedAppDataTransferLevelAsResponse } from "../definitions/MicrosoftGraphManagedAppDataTransferLevelAsResponse";
import { MicrosoftGraphManagedAppClipboardSharingLevelAsResponse } from "../definitions/MicrosoftGraphManagedAppClipboardSharingLevelAsResponse";
import { MicrosoftGraphManagedBrowserTypeAsResponse } from "../definitions/MicrosoftGraphManagedBrowserTypeAsResponse";
import { MicrosoftGraphManagedAppPinCharacterSetAsResponse } from "../definitions/MicrosoftGraphManagedAppPinCharacterSetAsResponse";
import { MicrosoftGraphTargetedManagedAppPolicyAssignmentAsResponse } from "../definitions/MicrosoftGraphTargetedManagedAppPolicyAssignmentAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphManagedAppDataEncryptionTypeAsResponse } from "../definitions/MicrosoftGraphManagedAppDataEncryptionTypeAsResponse";
import { MicrosoftGraphManagedMobileAppAsResponse } from "../definitions/MicrosoftGraphManagedMobileAppAsResponse";
import { MicrosoftGraphManagedAppPolicyDeploymentSummaryAsResponse } from "../definitions/MicrosoftGraphManagedAppPolicyDeploymentSummaryAsResponse";
export interface MicrosoftGraphIosManagedAppProtectionAsResponse {
    id?: string;
    createdDateTime?: string;
    description?: string | null;
    displayName?: string;
    lastModifiedDateTime?: string;
    version?: string | null;
    allowedDataStorageLocations?: Array<MicrosoftGraphManagedAppDataStorageLocationAsResponse>;
    allowedInboundDataTransferSources?: MicrosoftGraphManagedAppDataTransferLevelAsResponse;
    allowedOutboundClipboardSharingLevel?: MicrosoftGraphManagedAppClipboardSharingLevelAsResponse;
    allowedOutboundDataTransferDestinations?: MicrosoftGraphManagedAppDataTransferLevelAsResponse;
    contactSyncBlocked?: boolean;
    dataBackupBlocked?: boolean;
    deviceComplianceRequired?: boolean;
    disableAppPinIfDevicePinIsSet?: boolean;
    fingerprintBlocked?: boolean;
    managedBrowser?: MicrosoftGraphManagedBrowserTypeAsResponse;
    managedBrowserToOpenLinksRequired?: boolean;
    maximumPinRetries?: number;
    minimumPinLength?: number;
    minimumRequiredAppVersion?: string | null;
    minimumRequiredOsVersion?: string | null;
    minimumWarningAppVersion?: string | null;
    minimumWarningOsVersion?: string | null;
    organizationalCredentialsRequired?: boolean;
    periodBeforePinReset?: string;
    periodOfflineBeforeAccessCheck?: string;
    periodOfflineBeforeWipeIsEnforced?: string;
    periodOnlineBeforeAccessCheck?: string;
    pinCharacterSet?: MicrosoftGraphManagedAppPinCharacterSetAsResponse;
    pinRequired?: boolean;
    printBlocked?: boolean;
    saveAsBlocked?: boolean;
    simplePinBlocked?: boolean;
    isAssigned?: boolean;
    assignments?: Array<MicrosoftGraphTargetedManagedAppPolicyAssignmentAsResponse>;
    "assignments@odata.count"?: CountAsResponse;
    appDataEncryptionType?: MicrosoftGraphManagedAppDataEncryptionTypeAsResponse;
    customBrowserProtocol?: string | null;
    deployedAppCount?: number;
    faceIdBlocked?: boolean;
    minimumRequiredSdkVersion?: string | null;
    apps?: Array<MicrosoftGraphManagedMobileAppAsResponse>;
    "apps@odata.count"?: CountAsResponse;
    deploymentSummary?: MicrosoftGraphManagedAppPolicyDeploymentSummaryAsResponse | null;
}
//# sourceMappingURL=MicrosoftGraphIosManagedAppProtectionAsResponse.d.ts.map