/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphItemReferenceAsResponse } from "../definitions/MicrosoftGraphItemReferenceAsResponse";
import { MicrosoftGraphUserAsResponse } from "../definitions/MicrosoftGraphUserAsResponse";
import { MicrosoftGraphListInfoAsResponse } from "../definitions/MicrosoftGraphListInfoAsResponse";
import { MicrosoftGraphSharepointIdsAsResponse } from "../definitions/MicrosoftGraphSharepointIdsAsResponse";
import { MicrosoftGraphSystemFacetAsResponse } from "../definitions/MicrosoftGraphSystemFacetAsResponse";
import { MicrosoftGraphColumnDefinitionAsResponse } from "../definitions/MicrosoftGraphColumnDefinitionAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphContentTypeAsResponse } from "../definitions/MicrosoftGraphContentTypeAsResponse";
import { MicrosoftGraphDriveAsResponse } from "../definitions/MicrosoftGraphDriveAsResponse";
import { MicrosoftGraphListItemAsResponse } from "../definitions/MicrosoftGraphListItemAsResponse";
import { MicrosoftGraphRichLongRunningOperationAsResponse } from "../definitions/MicrosoftGraphRichLongRunningOperationAsResponse";
import { MicrosoftGraphSubscriptionAsResponse } from "../definitions/MicrosoftGraphSubscriptionAsResponse";
export interface MicrosoftGraphListAsResponse {
    id?: string;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    createdDateTime?: string;
    description?: string | null;
    eTag?: string | null;
    lastModifiedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    lastModifiedDateTime?: string;
    name?: string | null;
    parentReference?: MicrosoftGraphItemReferenceAsResponse | null;
    webUrl?: string | null;
    createdByUser?: MicrosoftGraphUserAsResponse;
    lastModifiedByUser?: MicrosoftGraphUserAsResponse;
    displayName?: string | null;
    list?: MicrosoftGraphListInfoAsResponse | null;
    sharepointIds?: MicrosoftGraphSharepointIdsAsResponse | null;
    system?: MicrosoftGraphSystemFacetAsResponse | null;
    columns?: Array<MicrosoftGraphColumnDefinitionAsResponse>;
    "columns@odata.count"?: CountAsResponse;
    contentTypes?: Array<MicrosoftGraphContentTypeAsResponse>;
    "contentTypes@odata.count"?: CountAsResponse;
    drive?: MicrosoftGraphDriveAsResponse;
    items?: Array<MicrosoftGraphListItemAsResponse>;
    "items@odata.count"?: CountAsResponse;
    operations?: Array<MicrosoftGraphRichLongRunningOperationAsResponse>;
    "operations@odata.count"?: CountAsResponse;
    subscriptions?: Array<MicrosoftGraphSubscriptionAsResponse>;
    "subscriptions@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphListAsResponse.d.ts.map