/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphItemReferenceAsResponse } from "../definitions/MicrosoftGraphItemReferenceAsResponse";
import { MicrosoftGraphUserAsResponse } from "../definitions/MicrosoftGraphUserAsResponse";
import { MicrosoftGraphContentTypeInfoAsResponse } from "../definitions/MicrosoftGraphContentTypeInfoAsResponse";
import { MicrosoftGraphSharepointIdsAsResponse } from "../definitions/MicrosoftGraphSharepointIdsAsResponse";
import { MicrosoftGraphItemAnalyticsAsResponse } from "../definitions/MicrosoftGraphItemAnalyticsAsResponse";
import { MicrosoftGraphDocumentSetVersionAsResponse } from "../definitions/MicrosoftGraphDocumentSetVersionAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphDriveItemAsResponse } from "../definitions/MicrosoftGraphDriveItemAsResponse";
import { MicrosoftGraphFieldValueSetAsResponse } from "../definitions/MicrosoftGraphFieldValueSetAsResponse";
import { MicrosoftGraphListItemVersionAsResponse } from "../definitions/MicrosoftGraphListItemVersionAsResponse";
export interface MicrosoftGraphListItemAsResponse {
    id?: string;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    createdDateTime?: string;
    description?: string | null;
    eTag?: string | null;
    lastModifiedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    lastModifiedDateTime?: string;
    name?: string | null;
    parentReference?: MicrosoftGraphItemReferenceAsResponse | null;
    webUrl?: string | null;
    createdByUser?: MicrosoftGraphUserAsResponse;
    lastModifiedByUser?: MicrosoftGraphUserAsResponse;
    contentType?: MicrosoftGraphContentTypeInfoAsResponse | null;
    sharepointIds?: MicrosoftGraphSharepointIdsAsResponse | null;
    analytics?: MicrosoftGraphItemAnalyticsAsResponse | null;
    documentSetVersions?: Array<MicrosoftGraphDocumentSetVersionAsResponse>;
    "documentSetVersions@odata.count"?: CountAsResponse;
    driveItem?: MicrosoftGraphDriveItemAsResponse;
    fields?: MicrosoftGraphFieldValueSetAsResponse | null;
    versions?: Array<MicrosoftGraphListItemVersionAsResponse>;
    "versions@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphListItemAsResponse.d.ts.map