/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphMailFolderAsResponse } from "../definitions/MicrosoftGraphMailFolderAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphMessageRuleAsResponse } from "../definitions/MicrosoftGraphMessageRuleAsResponse";
import { MicrosoftGraphMessageAsResponse } from "../definitions/MicrosoftGraphMessageAsResponse";
import { MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse";
import { MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse";
export interface MicrosoftGraphMailSearchFolderAsResponse {
    id?: string;
    childFolderCount?: number | null;
    displayName?: string | null;
    isHidden?: boolean | null;
    parentFolderId?: string | null;
    totalItemCount?: number | null;
    unreadItemCount?: number | null;
    childFolders?: Array<MicrosoftGraphMailFolderAsResponse>;
    "childFolders@odata.count"?: CountAsResponse;
    messageRules?: Array<MicrosoftGraphMessageRuleAsResponse>;
    "messageRules@odata.count"?: CountAsResponse;
    messages?: Array<MicrosoftGraphMessageAsResponse>;
    "messages@odata.count"?: CountAsResponse;
    multiValueExtendedProperties?: Array<MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse>;
    "multiValueExtendedProperties@odata.count"?: CountAsResponse;
    singleValueExtendedProperties?: Array<MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse>;
    "singleValueExtendedProperties@odata.count"?: CountAsResponse;
    filterQuery?: string | null;
    includeNestedFolders?: boolean | null;
    isSupported?: boolean | null;
    sourceFolderIds?: Array<string>;
}
//# sourceMappingURL=MicrosoftGraphMailSearchFolderAsResponse.d.ts.map