/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphComplianceStateAsResponse } from "../definitions/MicrosoftGraphComplianceStateAsResponse";
import { MicrosoftGraphConfigurationManagerClientEnabledFeaturesAsResponse } from "../definitions/MicrosoftGraphConfigurationManagerClientEnabledFeaturesAsResponse";
import { MicrosoftGraphDeviceActionResultAsResponse } from "../definitions/MicrosoftGraphDeviceActionResultAsResponse";
import { MicrosoftGraphDeviceEnrollmentTypeAsResponse } from "../definitions/MicrosoftGraphDeviceEnrollmentTypeAsResponse";
import { MicrosoftGraphDeviceHealthAttestationStateAsResponse } from "../definitions/MicrosoftGraphDeviceHealthAttestationStateAsResponse";
import { MicrosoftGraphDeviceRegistrationStateAsResponse } from "../definitions/MicrosoftGraphDeviceRegistrationStateAsResponse";
import { MicrosoftGraphDeviceManagementExchangeAccessStateAsResponse } from "../definitions/MicrosoftGraphDeviceManagementExchangeAccessStateAsResponse";
import { MicrosoftGraphDeviceManagementExchangeAccessStateReasonAsResponse } from "../definitions/MicrosoftGraphDeviceManagementExchangeAccessStateReasonAsResponse";
import { MicrosoftGraphManagedDeviceOwnerTypeAsResponse } from "../definitions/MicrosoftGraphManagedDeviceOwnerTypeAsResponse";
import { MicrosoftGraphManagementAgentTypeAsResponse } from "../definitions/MicrosoftGraphManagementAgentTypeAsResponse";
import { MicrosoftGraphManagedDevicePartnerReportedHealthStateAsResponse } from "../definitions/MicrosoftGraphManagedDevicePartnerReportedHealthStateAsResponse";
import { MicrosoftGraphDeviceCompliancePolicyStateAsResponse } from "../definitions/MicrosoftGraphDeviceCompliancePolicyStateAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphDeviceConfigurationStateAsResponse } from "../definitions/MicrosoftGraphDeviceConfigurationStateAsResponse";
import { MicrosoftGraphDeviceCategoryAsResponse } from "../definitions/MicrosoftGraphDeviceCategoryAsResponse";
import { MicrosoftGraphUserAsResponse } from "../definitions/MicrosoftGraphUserAsResponse";
export interface MicrosoftGraphManagedDeviceAsResponse {
    id?: string;
    activationLockBypassCode?: string | null;
    androidSecurityPatchLevel?: string | null;
    azureADDeviceId?: string | null;
    azureADRegistered?: boolean | null;
    complianceGracePeriodExpirationDateTime?: string;
    complianceState?: MicrosoftGraphComplianceStateAsResponse;
    configurationManagerClientEnabledFeatures?: MicrosoftGraphConfigurationManagerClientEnabledFeaturesAsResponse | null;
    deviceActionResults?: Array<MicrosoftGraphDeviceActionResultAsResponse>;
    deviceCategoryDisplayName?: string | null;
    deviceEnrollmentType?: MicrosoftGraphDeviceEnrollmentTypeAsResponse;
    deviceHealthAttestationState?: MicrosoftGraphDeviceHealthAttestationStateAsResponse | null;
    deviceName?: string | null;
    deviceRegistrationState?: MicrosoftGraphDeviceRegistrationStateAsResponse;
    easActivated?: boolean;
    easActivationDateTime?: string;
    easDeviceId?: string | null;
    emailAddress?: string | null;
    enrolledDateTime?: string;
    ethernetMacAddress?: string | null;
    exchangeAccessState?: MicrosoftGraphDeviceManagementExchangeAccessStateAsResponse;
    exchangeAccessStateReason?: MicrosoftGraphDeviceManagementExchangeAccessStateReasonAsResponse;
    exchangeLastSuccessfulSyncDateTime?: string;
    freeStorageSpaceInBytes?: number | string;
    iccid?: string | null;
    imei?: string | null;
    isEncrypted?: boolean;
    isSupervised?: boolean;
    jailBroken?: string | null;
    lastSyncDateTime?: string;
    managedDeviceName?: string | null;
    managedDeviceOwnerType?: MicrosoftGraphManagedDeviceOwnerTypeAsResponse;
    managementAgent?: MicrosoftGraphManagementAgentTypeAsResponse;
    managementCertificateExpirationDate?: string;
    manufacturer?: string | null;
    meid?: string | null;
    model?: string | null;
    notes?: string | null;
    operatingSystem?: string | null;
    osVersion?: string | null;
    partnerReportedThreatState?: MicrosoftGraphManagedDevicePartnerReportedHealthStateAsResponse;
    phoneNumber?: string | null;
    physicalMemoryInBytes?: number | string;
    remoteAssistanceSessionErrorDetails?: string | null;
    remoteAssistanceSessionUrl?: string | null;
    requireUserEnrollmentApproval?: boolean | null;
    serialNumber?: string | null;
    subscriberCarrier?: string | null;
    totalStorageSpaceInBytes?: number | string;
    udid?: string | null;
    userDisplayName?: string | null;
    userId?: string | null;
    userPrincipalName?: string | null;
    wiFiMacAddress?: string | null;
    deviceCompliancePolicyStates?: Array<MicrosoftGraphDeviceCompliancePolicyStateAsResponse>;
    "deviceCompliancePolicyStates@odata.count"?: CountAsResponse;
    deviceConfigurationStates?: Array<MicrosoftGraphDeviceConfigurationStateAsResponse>;
    "deviceConfigurationStates@odata.count"?: CountAsResponse;
    deviceCategory?: MicrosoftGraphDeviceCategoryAsResponse | null;
    users?: Array<MicrosoftGraphUserAsResponse>;
    "users@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphManagedDeviceAsResponse.d.ts.map