/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphWindowsInformationProtectionDataRecoveryCertificateAsResponse } from "../definitions/MicrosoftGraphWindowsInformationProtectionDataRecoveryCertificateAsResponse";
import { MicrosoftGraphWindowsInformationProtectionEnforcementLevelAsResponse } from "../definitions/MicrosoftGraphWindowsInformationProtectionEnforcementLevelAsResponse";
import { MicrosoftGraphWindowsInformationProtectionResourceCollectionAsResponse } from "../definitions/MicrosoftGraphWindowsInformationProtectionResourceCollectionAsResponse";
import { MicrosoftGraphWindowsInformationProtectionIPRangeCollectionAsResponse } from "../definitions/MicrosoftGraphWindowsInformationProtectionIPRangeCollectionAsResponse";
import { MicrosoftGraphWindowsInformationProtectionProxiedDomainCollectionAsResponse } from "../definitions/MicrosoftGraphWindowsInformationProtectionProxiedDomainCollectionAsResponse";
import { MicrosoftGraphWindowsInformationProtectionAppAsResponse } from "../definitions/MicrosoftGraphWindowsInformationProtectionAppAsResponse";
import { MicrosoftGraphTargetedManagedAppPolicyAssignmentAsResponse } from "../definitions/MicrosoftGraphTargetedManagedAppPolicyAssignmentAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphWindowsInformationProtectionAppLockerFileAsResponse } from "../definitions/MicrosoftGraphWindowsInformationProtectionAppLockerFileAsResponse";
export interface MicrosoftGraphMdmWindowsInformationProtectionPolicyAsResponse {
    id?: string;
    createdDateTime?: string;
    description?: string | null;
    displayName?: string;
    lastModifiedDateTime?: string;
    version?: string | null;
    azureRightsManagementServicesAllowed?: boolean;
    dataRecoveryCertificate?: MicrosoftGraphWindowsInformationProtectionDataRecoveryCertificateAsResponse | null;
    enforcementLevel?: MicrosoftGraphWindowsInformationProtectionEnforcementLevelAsResponse;
    enterpriseDomain?: string | null;
    enterpriseInternalProxyServers?: Array<MicrosoftGraphWindowsInformationProtectionResourceCollectionAsResponse>;
    enterpriseIPRanges?: Array<MicrosoftGraphWindowsInformationProtectionIPRangeCollectionAsResponse>;
    enterpriseIPRangesAreAuthoritative?: boolean;
    enterpriseNetworkDomainNames?: Array<MicrosoftGraphWindowsInformationProtectionResourceCollectionAsResponse>;
    enterpriseProtectedDomainNames?: Array<MicrosoftGraphWindowsInformationProtectionResourceCollectionAsResponse>;
    enterpriseProxiedDomains?: Array<MicrosoftGraphWindowsInformationProtectionProxiedDomainCollectionAsResponse>;
    enterpriseProxyServers?: Array<MicrosoftGraphWindowsInformationProtectionResourceCollectionAsResponse>;
    enterpriseProxyServersAreAuthoritative?: boolean;
    exemptApps?: Array<MicrosoftGraphWindowsInformationProtectionAppAsResponse>;
    iconsVisible?: boolean;
    indexingEncryptedStoresOrItemsBlocked?: boolean;
    isAssigned?: boolean;
    neutralDomainResources?: Array<MicrosoftGraphWindowsInformationProtectionResourceCollectionAsResponse>;
    protectedApps?: Array<MicrosoftGraphWindowsInformationProtectionAppAsResponse>;
    protectionUnderLockConfigRequired?: boolean;
    revokeOnUnenrollDisabled?: boolean;
    rightsManagementServicesTemplateId?: string | null;
    smbAutoEncryptedFileExtensions?: Array<MicrosoftGraphWindowsInformationProtectionResourceCollectionAsResponse>;
    assignments?: Array<MicrosoftGraphTargetedManagedAppPolicyAssignmentAsResponse>;
    "assignments@odata.count"?: CountAsResponse;
    exemptAppLockerFiles?: Array<MicrosoftGraphWindowsInformationProtectionAppLockerFileAsResponse>;
    "exemptAppLockerFiles@odata.count"?: CountAsResponse;
    protectedAppLockerFiles?: Array<MicrosoftGraphWindowsInformationProtectionAppLockerFileAsResponse>;
    "protectedAppLockerFiles@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphMdmWindowsInformationProtectionPolicyAsResponse.d.ts.map