/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphNotebookLinksAsResponse } from "../definitions/MicrosoftGraphNotebookLinksAsResponse";
import { MicrosoftGraphOnenoteUserRoleAsResponse } from "../definitions/MicrosoftGraphOnenoteUserRoleAsResponse";
import { MicrosoftGraphSectionGroupAsResponse } from "../definitions/MicrosoftGraphSectionGroupAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphOnenoteSectionAsResponse } from "../definitions/MicrosoftGraphOnenoteSectionAsResponse";
export interface MicrosoftGraphNotebookAsResponse {
    id?: string;
    self?: string | null;
    createdDateTime?: string | null;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    displayName?: string | null;
    lastModifiedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    lastModifiedDateTime?: string | null;
    isDefault?: boolean | null;
    isShared?: boolean | null;
    links?: MicrosoftGraphNotebookLinksAsResponse | null;
    sectionGroupsUrl?: string | null;
    sectionsUrl?: string | null;
    userRole?: MicrosoftGraphOnenoteUserRoleAsResponse | null;
    sectionGroups?: Array<MicrosoftGraphSectionGroupAsResponse>;
    "sectionGroups@odata.count"?: CountAsResponse;
    sections?: Array<MicrosoftGraphOnenoteSectionAsResponse>;
    "sections@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphNotebookAsResponse.d.ts.map