/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphSectionLinksAsResponse } from "../definitions/MicrosoftGraphSectionLinksAsResponse";
import { MicrosoftGraphOnenotePageAsResponse } from "../definitions/MicrosoftGraphOnenotePageAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphNotebookAsResponse } from "../definitions/MicrosoftGraphNotebookAsResponse";
import { MicrosoftGraphSectionGroupAsResponse } from "../definitions/MicrosoftGraphSectionGroupAsResponse";
export interface MicrosoftGraphOnenoteSectionAsResponse {
    id?: string;
    self?: string | null;
    createdDateTime?: string | null;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    displayName?: string | null;
    lastModifiedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    lastModifiedDateTime?: string | null;
    isDefault?: boolean | null;
    links?: MicrosoftGraphSectionLinksAsResponse | null;
    pagesUrl?: string | null;
    pages?: Array<MicrosoftGraphOnenotePageAsResponse>;
    "pages@odata.count"?: CountAsResponse;
    parentNotebook?: MicrosoftGraphNotebookAsResponse;
    parentSectionGroup?: MicrosoftGraphSectionGroupAsResponse;
}
//# sourceMappingURL=MicrosoftGraphOnenoteSectionAsResponse.d.ts.map