/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphOnlineMeetingPresentersAsResponse } from "../definitions/MicrosoftGraphOnlineMeetingPresentersAsResponse";
import { MicrosoftGraphMeetingChatModeAsResponse } from "../definitions/MicrosoftGraphMeetingChatModeAsResponse";
import { MicrosoftGraphAudioConferencingAsResponse } from "../definitions/MicrosoftGraphAudioConferencingAsResponse";
import { MicrosoftGraphBroadcastMeetingSettingsAsResponse } from "../definitions/MicrosoftGraphBroadcastMeetingSettingsAsResponse";
import { MicrosoftGraphChatInfoAsResponse } from "../definitions/MicrosoftGraphChatInfoAsResponse";
import { MicrosoftGraphItemBodyAsResponse } from "../definitions/MicrosoftGraphItemBodyAsResponse";
import { MicrosoftGraphLobbyBypassSettingsAsResponse } from "../definitions/MicrosoftGraphLobbyBypassSettingsAsResponse";
import { MicrosoftGraphMeetingParticipantsAsResponse } from "../definitions/MicrosoftGraphMeetingParticipantsAsResponse";
import { MicrosoftGraphMeetingAttendanceReportAsResponse } from "../definitions/MicrosoftGraphMeetingAttendanceReportAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
export interface MicrosoftGraphOnlineMeetingAsResponse {
    id?: string;
    allowAttendeeToEnableCamera?: boolean | null;
    allowAttendeeToEnableMic?: boolean | null;
    allowedPresenters?: MicrosoftGraphOnlineMeetingPresentersAsResponse | null;
    allowMeetingChat?: MicrosoftGraphMeetingChatModeAsResponse | null;
    allowTeamworkReactions?: boolean | null;
    attendeeReport?: string | null;
    audioConferencing?: MicrosoftGraphAudioConferencingAsResponse | null;
    broadcastSettings?: MicrosoftGraphBroadcastMeetingSettingsAsResponse | null;
    chatInfo?: MicrosoftGraphChatInfoAsResponse | null;
    creationDateTime?: string | null;
    endDateTime?: string | null;
    externalId?: string | null;
    isBroadcast?: boolean | null;
    isEntryExitAnnounced?: boolean | null;
    joinInformation?: MicrosoftGraphItemBodyAsResponse | null;
    joinWebUrl?: string | null;
    lobbyBypassSettings?: MicrosoftGraphLobbyBypassSettingsAsResponse | null;
    participants?: MicrosoftGraphMeetingParticipantsAsResponse | null;
    recordAutomatically?: boolean | null;
    startDateTime?: string | null;
    subject?: string | null;
    videoTeleconferenceId?: string | null;
    attendanceReports?: Array<MicrosoftGraphMeetingAttendanceReportAsResponse>;
    "attendanceReports@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphOnlineMeetingAsResponse.d.ts.map