/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphPhysicalOfficeAddressAsResponse } from "../definitions/MicrosoftGraphPhysicalOfficeAddressAsResponse";
import { MicrosoftGraphOnPremisesProvisioningErrorAsResponse } from "../definitions/MicrosoftGraphOnPremisesProvisioningErrorAsResponse";
import { MicrosoftGraphPhoneAsResponse } from "../definitions/MicrosoftGraphPhoneAsResponse";
import { MicrosoftGraphDirectoryObjectAsResponse } from "../definitions/MicrosoftGraphDirectoryObjectAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
export interface MicrosoftGraphOrgContactAsResponse {
    id?: string;
    deletedDateTime?: string | null;
    addresses?: Array<MicrosoftGraphPhysicalOfficeAddressAsResponse>;
    companyName?: string | null;
    department?: string | null;
    displayName?: string | null;
    givenName?: string | null;
    jobTitle?: string | null;
    mail?: string | null;
    mailNickname?: string | null;
    onPremisesLastSyncDateTime?: string | null;
    onPremisesProvisioningErrors?: Array<MicrosoftGraphOnPremisesProvisioningErrorAsResponse>;
    onPremisesSyncEnabled?: boolean | null;
    phones?: Array<MicrosoftGraphPhoneAsResponse>;
    proxyAddresses?: Array<string>;
    surname?: string | null;
    directReports?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "directReports@odata.count"?: CountAsResponse;
    manager?: MicrosoftGraphDirectoryObjectAsResponse;
    memberOf?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "memberOf@odata.count"?: CountAsResponse;
    transitiveMemberOf?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "transitiveMemberOf@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphOrgContactAsResponse.d.ts.map