/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphSharePointIdentitySetAsResponse } from "../definitions/MicrosoftGraphSharePointIdentitySetAsResponse";
import { MicrosoftGraphItemReferenceAsResponse } from "../definitions/MicrosoftGraphItemReferenceAsResponse";
import { MicrosoftGraphSharingInvitationAsResponse } from "../definitions/MicrosoftGraphSharingInvitationAsResponse";
import { MicrosoftGraphSharingLinkAsResponse } from "../definitions/MicrosoftGraphSharingLinkAsResponse";
export interface MicrosoftGraphPermissionAsResponse {
    id?: string;
    expirationDateTime?: string | null;
    grantedTo?: MicrosoftGraphIdentitySetAsResponse | null;
    grantedToIdentities?: Array<MicrosoftGraphIdentitySetAsResponse>;
    grantedToIdentitiesV2?: Array<MicrosoftGraphSharePointIdentitySetAsResponse>;
    grantedToV2?: MicrosoftGraphSharePointIdentitySetAsResponse | null;
    hasPassword?: boolean | null;
    inheritedFrom?: MicrosoftGraphItemReferenceAsResponse | null;
    invitation?: MicrosoftGraphSharingInvitationAsResponse | null;
    link?: MicrosoftGraphSharingLinkAsResponse | null;
    roles?: Array<string>;
    shareId?: string | null;
}
//# sourceMappingURL=MicrosoftGraphPermissionAsResponse.d.ts.map