/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphPersonTypeAsResponse } from "../definitions/MicrosoftGraphPersonTypeAsResponse";
import { MicrosoftGraphPhoneAsResponse } from "../definitions/MicrosoftGraphPhoneAsResponse";
import { MicrosoftGraphLocationAsResponse } from "../definitions/MicrosoftGraphLocationAsResponse";
import { MicrosoftGraphScoredEmailAddressAsResponse } from "../definitions/MicrosoftGraphScoredEmailAddressAsResponse";
import { MicrosoftGraphWebsiteAsResponse } from "../definitions/MicrosoftGraphWebsiteAsResponse";
export interface MicrosoftGraphPersonAsResponse {
    id?: string;
    birthday?: string | null;
    companyName?: string | null;
    department?: string | null;
    displayName?: string | null;
    givenName?: string | null;
    imAddress?: string | null;
    isFavorite?: boolean | null;
    jobTitle?: string | null;
    officeLocation?: string | null;
    personNotes?: string | null;
    personType?: MicrosoftGraphPersonTypeAsResponse | null;
    phones?: Array<MicrosoftGraphPhoneAsResponse>;
    postalAddresses?: Array<MicrosoftGraphLocationAsResponse>;
    profession?: string | null;
    scoredEmailAddresses?: Array<MicrosoftGraphScoredEmailAddressAsResponse>;
    surname?: string | null;
    userPrincipalName?: string | null;
    websites?: Array<MicrosoftGraphWebsiteAsResponse>;
    yomiCompany?: string | null;
}
//# sourceMappingURL=MicrosoftGraphPersonAsResponse.d.ts.map