/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphPlannerPlanContainerAsResponse } from "../definitions/MicrosoftGraphPlannerPlanContainerAsResponse";
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphPlannerBucketAsResponse } from "../definitions/MicrosoftGraphPlannerBucketAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphPlannerPlanDetailsAsResponse } from "../definitions/MicrosoftGraphPlannerPlanDetailsAsResponse";
import { MicrosoftGraphPlannerTaskAsResponse } from "../definitions/MicrosoftGraphPlannerTaskAsResponse";
export interface MicrosoftGraphPlannerPlanAsResponse {
    id?: string;
    container?: MicrosoftGraphPlannerPlanContainerAsResponse | null;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    createdDateTime?: string | null;
    owner?: string | null;
    title?: string;
    buckets?: Array<MicrosoftGraphPlannerBucketAsResponse>;
    "buckets@odata.count"?: CountAsResponse;
    details?: MicrosoftGraphPlannerPlanDetailsAsResponse | null;
    tasks?: Array<MicrosoftGraphPlannerTaskAsResponse>;
    "tasks@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphPlannerPlanAsResponse.d.ts.map