/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphPlannerAppliedCategoriesAsResponse } from "../definitions/MicrosoftGraphPlannerAppliedCategoriesAsResponse";
import { MicrosoftGraphPlannerAssignmentsAsResponse } from "../definitions/MicrosoftGraphPlannerAssignmentsAsResponse";
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphPlannerPreviewTypeAsResponse } from "../definitions/MicrosoftGraphPlannerPreviewTypeAsResponse";
import { MicrosoftGraphPlannerAssignedToTaskBoardTaskFormatAsResponse } from "../definitions/MicrosoftGraphPlannerAssignedToTaskBoardTaskFormatAsResponse";
import { MicrosoftGraphPlannerBucketTaskBoardTaskFormatAsResponse } from "../definitions/MicrosoftGraphPlannerBucketTaskBoardTaskFormatAsResponse";
import { MicrosoftGraphPlannerTaskDetailsAsResponse } from "../definitions/MicrosoftGraphPlannerTaskDetailsAsResponse";
import { MicrosoftGraphPlannerProgressTaskBoardTaskFormatAsResponse } from "../definitions/MicrosoftGraphPlannerProgressTaskBoardTaskFormatAsResponse";
export interface MicrosoftGraphPlannerTaskAsResponse {
    id?: string;
    activeChecklistItemCount?: number | null;
    appliedCategories?: MicrosoftGraphPlannerAppliedCategoriesAsResponse | null;
    assigneePriority?: string | null;
    assignments?: MicrosoftGraphPlannerAssignmentsAsResponse | null;
    bucketId?: string | null;
    checklistItemCount?: number | null;
    completedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    completedDateTime?: string | null;
    conversationThreadId?: string | null;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    createdDateTime?: string | null;
    dueDateTime?: string | null;
    hasDescription?: boolean | null;
    orderHint?: string | null;
    percentComplete?: number | null;
    planId?: string | null;
    previewType?: MicrosoftGraphPlannerPreviewTypeAsResponse | null;
    priority?: number | null;
    referenceCount?: number | null;
    startDateTime?: string | null;
    title?: string;
    assignedToTaskBoardFormat?: MicrosoftGraphPlannerAssignedToTaskBoardTaskFormatAsResponse | null;
    bucketTaskBoardFormat?: MicrosoftGraphPlannerBucketTaskBoardTaskFormatAsResponse | null;
    details?: MicrosoftGraphPlannerTaskDetailsAsResponse | null;
    progressTaskBoardFormat?: MicrosoftGraphPlannerProgressTaskBoardTaskFormatAsResponse | null;
}
//# sourceMappingURL=MicrosoftGraphPlannerTaskAsResponse.d.ts.map