/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphItemBodyAsResponse } from "../definitions/MicrosoftGraphItemBodyAsResponse";
import { MicrosoftGraphRecipientAsResponse } from "../definitions/MicrosoftGraphRecipientAsResponse";
import { MicrosoftGraphAttachmentAsResponse } from "../definitions/MicrosoftGraphAttachmentAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphExtensionAsResponse } from "../definitions/MicrosoftGraphExtensionAsResponse";
import { MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse";
import { MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse";
export interface MicrosoftGraphPostAsResponse {
    id?: string;
    categories?: Array<string>;
    changeKey?: string | null;
    createdDateTime?: string | null;
    lastModifiedDateTime?: string | null;
    body?: MicrosoftGraphItemBodyAsResponse | null;
    conversationId?: string | null;
    conversationThreadId?: string | null;
    from?: MicrosoftGraphRecipientAsResponse;
    hasAttachments?: boolean;
    newParticipants?: Array<MicrosoftGraphRecipientAsResponse>;
    receivedDateTime?: string;
    sender?: MicrosoftGraphRecipientAsResponse | null;
    attachments?: Array<MicrosoftGraphAttachmentAsResponse>;
    "attachments@odata.count"?: CountAsResponse;
    extensions?: Array<MicrosoftGraphExtensionAsResponse>;
    "extensions@odata.count"?: CountAsResponse;
    inReplyTo?: MicrosoftGraphPostAsResponse;
    multiValueExtendedProperties?: Array<MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse>;
    "multiValueExtendedProperties@odata.count"?: CountAsResponse;
    singleValueExtendedProperties?: Array<MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse>;
    "singleValueExtendedProperties@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphPostAsResponse.d.ts.map