/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphOperationStatusAsResponse } from "../definitions/MicrosoftGraphOperationStatusAsResponse";
import { MicrosoftGraphOfferShiftRequestAsResponse } from "../definitions/MicrosoftGraphOfferShiftRequestAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphOpenShiftChangeRequestAsResponse } from "../definitions/MicrosoftGraphOpenShiftChangeRequestAsResponse";
import { MicrosoftGraphOpenShiftAsResponse } from "../definitions/MicrosoftGraphOpenShiftAsResponse";
import { MicrosoftGraphSchedulingGroupAsResponse } from "../definitions/MicrosoftGraphSchedulingGroupAsResponse";
import { MicrosoftGraphShiftAsResponse } from "../definitions/MicrosoftGraphShiftAsResponse";
import { MicrosoftGraphSwapShiftsChangeRequestAsResponse } from "../definitions/MicrosoftGraphSwapShiftsChangeRequestAsResponse";
import { MicrosoftGraphTimeOffReasonAsResponse } from "../definitions/MicrosoftGraphTimeOffReasonAsResponse";
import { MicrosoftGraphTimeOffRequestAsResponse } from "../definitions/MicrosoftGraphTimeOffRequestAsResponse";
import { MicrosoftGraphTimeOffAsResponse } from "../definitions/MicrosoftGraphTimeOffAsResponse";
export interface MicrosoftGraphScheduleAsResponse {
    id?: string;
    enabled?: boolean | null;
    offerShiftRequestsEnabled?: boolean | null;
    openShiftsEnabled?: boolean | null;
    provisionStatus?: MicrosoftGraphOperationStatusAsResponse | null;
    provisionStatusCode?: string | null;
    swapShiftsRequestsEnabled?: boolean | null;
    timeClockEnabled?: boolean | null;
    timeOffRequestsEnabled?: boolean | null;
    timeZone?: string | null;
    workforceIntegrationIds?: Array<string>;
    offerShiftRequests?: Array<MicrosoftGraphOfferShiftRequestAsResponse>;
    "offerShiftRequests@odata.count"?: CountAsResponse;
    openShiftChangeRequests?: Array<MicrosoftGraphOpenShiftChangeRequestAsResponse>;
    "openShiftChangeRequests@odata.count"?: CountAsResponse;
    openShifts?: Array<MicrosoftGraphOpenShiftAsResponse>;
    "openShifts@odata.count"?: CountAsResponse;
    schedulingGroups?: Array<MicrosoftGraphSchedulingGroupAsResponse>;
    "schedulingGroups@odata.count"?: CountAsResponse;
    shifts?: Array<MicrosoftGraphShiftAsResponse>;
    "shifts@odata.count"?: CountAsResponse;
    swapShiftsChangeRequests?: Array<MicrosoftGraphSwapShiftsChangeRequestAsResponse>;
    "swapShiftsChangeRequests@odata.count"?: CountAsResponse;
    timeOffReasons?: Array<MicrosoftGraphTimeOffReasonAsResponse>;
    "timeOffReasons@odata.count"?: CountAsResponse;
    timeOffRequests?: Array<MicrosoftGraphTimeOffRequestAsResponse>;
    "timeOffRequests@odata.count"?: CountAsResponse;
    timesOff?: Array<MicrosoftGraphTimeOffAsResponse>;
    "timesOff@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphScheduleAsResponse.d.ts.map