/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphNotebookAsResponse } from "../definitions/MicrosoftGraphNotebookAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphOnenoteSectionAsResponse } from "../definitions/MicrosoftGraphOnenoteSectionAsResponse";
export interface MicrosoftGraphSectionGroupAsResponse {
    id?: string;
    self?: string | null;
    createdDateTime?: string | null;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    displayName?: string | null;
    lastModifiedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    lastModifiedDateTime?: string | null;
    sectionGroupsUrl?: string | null;
    sectionsUrl?: string | null;
    parentNotebook?: MicrosoftGraphNotebookAsResponse;
    parentSectionGroup?: MicrosoftGraphSectionGroupAsResponse;
    sectionGroups?: Array<MicrosoftGraphSectionGroupAsResponse>;
    "sectionGroups@odata.count"?: CountAsResponse;
    sections?: Array<MicrosoftGraphOnenoteSectionAsResponse>;
    "sections@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphSectionGroupAsResponse.d.ts.map