/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphItemReferenceAsResponse } from "../definitions/MicrosoftGraphItemReferenceAsResponse";
import { MicrosoftGraphUserAsResponse } from "../definitions/MicrosoftGraphUserAsResponse";
import { MicrosoftGraphPublicErrorAsResponse } from "../definitions/MicrosoftGraphPublicErrorAsResponse";
import { MicrosoftGraphRootAsResponse } from "../definitions/MicrosoftGraphRootAsResponse";
import { MicrosoftGraphSharepointIdsAsResponse } from "../definitions/MicrosoftGraphSharepointIdsAsResponse";
import { MicrosoftGraphSiteCollectionAsResponse } from "../definitions/MicrosoftGraphSiteCollectionAsResponse";
import { MicrosoftGraphItemAnalyticsAsResponse } from "../definitions/MicrosoftGraphItemAnalyticsAsResponse";
import { MicrosoftGraphColumnDefinitionAsResponse } from "../definitions/MicrosoftGraphColumnDefinitionAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphContentTypeAsResponse } from "../definitions/MicrosoftGraphContentTypeAsResponse";
import { MicrosoftGraphDriveAsResponse } from "../definitions/MicrosoftGraphDriveAsResponse";
import { MicrosoftGraphListAsResponse } from "../definitions/MicrosoftGraphListAsResponse";
import { MicrosoftGraphRichLongRunningOperationAsResponse } from "../definitions/MicrosoftGraphRichLongRunningOperationAsResponse";
import { MicrosoftGraphPermissionAsResponse } from "../definitions/MicrosoftGraphPermissionAsResponse";
import { MicrosoftGraphTermStoreStoreAsResponse } from "../definitions/MicrosoftGraphTermStoreStoreAsResponse";
import { MicrosoftGraphOnenoteAsResponse } from "../definitions/MicrosoftGraphOnenoteAsResponse";
export interface MicrosoftGraphSiteAsResponse {
    id?: string;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    createdDateTime?: string;
    description?: string | null;
    eTag?: string | null;
    lastModifiedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    lastModifiedDateTime?: string;
    name?: string | null;
    parentReference?: MicrosoftGraphItemReferenceAsResponse | null;
    webUrl?: string | null;
    createdByUser?: MicrosoftGraphUserAsResponse;
    lastModifiedByUser?: MicrosoftGraphUserAsResponse;
    displayName?: string | null;
    error?: MicrosoftGraphPublicErrorAsResponse | null;
    root?: MicrosoftGraphRootAsResponse | null;
    sharepointIds?: MicrosoftGraphSharepointIdsAsResponse | null;
    siteCollection?: MicrosoftGraphSiteCollectionAsResponse | null;
    analytics?: MicrosoftGraphItemAnalyticsAsResponse | null;
    columns?: Array<MicrosoftGraphColumnDefinitionAsResponse>;
    "columns@odata.count"?: CountAsResponse;
    contentTypes?: Array<MicrosoftGraphContentTypeAsResponse>;
    "contentTypes@odata.count"?: CountAsResponse;
    drive?: MicrosoftGraphDriveAsResponse | null;
    drives?: Array<MicrosoftGraphDriveAsResponse>;
    "drives@odata.count"?: CountAsResponse;
    externalColumns?: Array<MicrosoftGraphColumnDefinitionAsResponse>;
    "externalColumns@odata.count"?: CountAsResponse;
    items?: Array<MicrosoftGraphSiteAsResponse>;
    "items@odata.count"?: CountAsResponse;
    lists?: Array<MicrosoftGraphListAsResponse>;
    "lists@odata.count"?: CountAsResponse;
    operations?: Array<MicrosoftGraphRichLongRunningOperationAsResponse>;
    "operations@odata.count"?: CountAsResponse;
    permissions?: Array<MicrosoftGraphPermissionAsResponse>;
    "permissions@odata.count"?: CountAsResponse;
    sites?: Array<MicrosoftGraphSiteAsResponse>;
    "sites@odata.count"?: CountAsResponse;
    termStore?: MicrosoftGraphTermStoreStoreAsResponse | null;
    termStores?: Array<MicrosoftGraphTermStoreStoreAsResponse>;
    "termStores@odata.count"?: CountAsResponse;
    onenote?: MicrosoftGraphOnenoteAsResponse | null;
}
//# sourceMappingURL=MicrosoftGraphSiteAsResponse.d.ts.map