/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphKeyValuePairAsResponse } from "../definitions/MicrosoftGraphKeyValuePairAsResponse";
import { MicrosoftGraphManagedMobileAppAsResponse } from "../definitions/MicrosoftGraphManagedMobileAppAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphTargetedManagedAppPolicyAssignmentAsResponse } from "../definitions/MicrosoftGraphTargetedManagedAppPolicyAssignmentAsResponse";
import { MicrosoftGraphManagedAppPolicyDeploymentSummaryAsResponse } from "../definitions/MicrosoftGraphManagedAppPolicyDeploymentSummaryAsResponse";
export interface MicrosoftGraphTargetedManagedAppConfigurationAsResponse {
    id?: string;
    createdDateTime?: string;
    description?: string | null;
    displayName?: string;
    lastModifiedDateTime?: string;
    version?: string | null;
    customSettings?: Array<MicrosoftGraphKeyValuePairAsResponse>;
    deployedAppCount?: number;
    isAssigned?: boolean;
    apps?: Array<MicrosoftGraphManagedMobileAppAsResponse>;
    "apps@odata.count"?: CountAsResponse;
    assignments?: Array<MicrosoftGraphTargetedManagedAppPolicyAssignmentAsResponse>;
    "assignments@odata.count"?: CountAsResponse;
    deploymentSummary?: MicrosoftGraphManagedAppPolicyDeploymentSummaryAsResponse | null;
}
//# sourceMappingURL=MicrosoftGraphTargetedManagedAppConfigurationAsResponse.d.ts.map