/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphTeamFunSettingsAsResponse } from "../definitions/MicrosoftGraphTeamFunSettingsAsResponse";
import { MicrosoftGraphTeamGuestSettingsAsResponse } from "../definitions/MicrosoftGraphTeamGuestSettingsAsResponse";
import { MicrosoftGraphTeamMemberSettingsAsResponse } from "../definitions/MicrosoftGraphTeamMemberSettingsAsResponse";
import { MicrosoftGraphTeamMessagingSettingsAsResponse } from "../definitions/MicrosoftGraphTeamMessagingSettingsAsResponse";
import { MicrosoftGraphTeamSpecializationAsResponse } from "../definitions/MicrosoftGraphTeamSpecializationAsResponse";
import { MicrosoftGraphTeamSummaryAsResponse } from "../definitions/MicrosoftGraphTeamSummaryAsResponse";
import { MicrosoftGraphTeamVisibilityTypeAsResponse } from "../definitions/MicrosoftGraphTeamVisibilityTypeAsResponse";
import { MicrosoftGraphChannelAsResponse } from "../definitions/MicrosoftGraphChannelAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphGroupAsResponse } from "../definitions/MicrosoftGraphGroupAsResponse";
import { MicrosoftGraphTeamsAppInstallationAsResponse } from "../definitions/MicrosoftGraphTeamsAppInstallationAsResponse";
import { MicrosoftGraphConversationMemberAsResponse } from "../definitions/MicrosoftGraphConversationMemberAsResponse";
import { MicrosoftGraphTeamsAsyncOperationAsResponse } from "../definitions/MicrosoftGraphTeamsAsyncOperationAsResponse";
import { MicrosoftGraphProfilePhotoAsResponse } from "../definitions/MicrosoftGraphProfilePhotoAsResponse";
import { MicrosoftGraphTeamworkTagAsResponse } from "../definitions/MicrosoftGraphTeamworkTagAsResponse";
import { MicrosoftGraphTeamsTemplateAsResponse } from "../definitions/MicrosoftGraphTeamsTemplateAsResponse";
import { MicrosoftGraphScheduleAsResponse } from "../definitions/MicrosoftGraphScheduleAsResponse";
export interface MicrosoftGraphTeamAsResponse {
    id?: string;
    classification?: string | null;
    createdDateTime?: string | null;
    description?: string | null;
    displayName?: string | null;
    funSettings?: MicrosoftGraphTeamFunSettingsAsResponse | null;
    guestSettings?: MicrosoftGraphTeamGuestSettingsAsResponse | null;
    internalId?: string | null;
    isArchived?: boolean | null;
    memberSettings?: MicrosoftGraphTeamMemberSettingsAsResponse | null;
    messagingSettings?: MicrosoftGraphTeamMessagingSettingsAsResponse | null;
    specialization?: MicrosoftGraphTeamSpecializationAsResponse | null;
    summary?: MicrosoftGraphTeamSummaryAsResponse | null;
    tenantId?: string | null;
    visibility?: MicrosoftGraphTeamVisibilityTypeAsResponse | null;
    webUrl?: string | null;
    allChannels?: Array<MicrosoftGraphChannelAsResponse>;
    "allChannels@odata.count"?: CountAsResponse;
    channels?: Array<MicrosoftGraphChannelAsResponse>;
    "channels@odata.count"?: CountAsResponse;
    group?: MicrosoftGraphGroupAsResponse;
    incomingChannels?: Array<MicrosoftGraphChannelAsResponse>;
    "incomingChannels@odata.count"?: CountAsResponse;
    installedApps?: Array<MicrosoftGraphTeamsAppInstallationAsResponse>;
    "installedApps@odata.count"?: CountAsResponse;
    members?: Array<MicrosoftGraphConversationMemberAsResponse>;
    "members@odata.count"?: CountAsResponse;
    operations?: Array<MicrosoftGraphTeamsAsyncOperationAsResponse>;
    "operations@odata.count"?: CountAsResponse;
    photo?: MicrosoftGraphProfilePhotoAsResponse | null;
    primaryChannel?: MicrosoftGraphChannelAsResponse | null;
    tags?: Array<MicrosoftGraphTeamworkTagAsResponse>;
    "tags@odata.count"?: CountAsResponse;
    template?: MicrosoftGraphTeamsTemplateAsResponse | null;
    schedule?: MicrosoftGraphScheduleAsResponse | null;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphTeamAsResponse.d.ts.map