/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphTermStoreLocalizedNameAsResponse } from "../definitions/MicrosoftGraphTermStoreLocalizedNameAsResponse";
import { MicrosoftGraphKeyValueAsResponse } from "../definitions/MicrosoftGraphKeyValueAsResponse";
import { MicrosoftGraphTermStoreTermAsResponse } from "../definitions/MicrosoftGraphTermStoreTermAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphTermStoreGroupAsResponse } from "../definitions/MicrosoftGraphTermStoreGroupAsResponse";
import { MicrosoftGraphTermStoreRelationAsResponse } from "../definitions/MicrosoftGraphTermStoreRelationAsResponse";
export interface MicrosoftGraphTermStoreSetAsResponse {
    id?: string;
    createdDateTime?: string | null;
    description?: string | null;
    localizedNames?: Array<MicrosoftGraphTermStoreLocalizedNameAsResponse>;
    properties?: Array<MicrosoftGraphKeyValueAsResponse>;
    children?: Array<MicrosoftGraphTermStoreTermAsResponse>;
    "children@odata.count"?: CountAsResponse;
    parentGroup?: MicrosoftGraphTermStoreGroupAsResponse;
    relations?: Array<MicrosoftGraphTermStoreRelationAsResponse>;
    "relations@odata.count"?: CountAsResponse;
    terms?: Array<MicrosoftGraphTermStoreTermAsResponse>;
    "terms@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphTermStoreSetAsResponse.d.ts.map