/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphTermStoreLocalizedDescriptionAsResponse } from "../definitions/MicrosoftGraphTermStoreLocalizedDescriptionAsResponse";
import { MicrosoftGraphTermStoreLocalizedLabelAsResponse } from "../definitions/MicrosoftGraphTermStoreLocalizedLabelAsResponse";
import { MicrosoftGraphKeyValueAsResponse } from "../definitions/MicrosoftGraphKeyValueAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphTermStoreRelationAsResponse } from "../definitions/MicrosoftGraphTermStoreRelationAsResponse";
import { MicrosoftGraphTermStoreSetAsResponse } from "../definitions/MicrosoftGraphTermStoreSetAsResponse";
export interface MicrosoftGraphTermStoreTermAsResponse {
    id?: string;
    createdDateTime?: string | null;
    descriptions?: Array<MicrosoftGraphTermStoreLocalizedDescriptionAsResponse>;
    labels?: Array<MicrosoftGraphTermStoreLocalizedLabelAsResponse>;
    lastModifiedDateTime?: string | null;
    properties?: Array<MicrosoftGraphKeyValueAsResponse>;
    children?: Array<MicrosoftGraphTermStoreTermAsResponse>;
    "children@odata.count"?: CountAsResponse;
    relations?: Array<MicrosoftGraphTermStoreRelationAsResponse>;
    "relations@odata.count"?: CountAsResponse;
    set?: MicrosoftGraphTermStoreSetAsResponse | null;
}
//# sourceMappingURL=MicrosoftGraphTermStoreTermAsResponse.d.ts.map