/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphJsonAsResponse } from "../definitions/MicrosoftGraphJsonAsResponse";
import { MicrosoftGraphStatusAsResponse } from "../definitions/MicrosoftGraphStatusAsResponse";
import { MicrosoftGraphVisualInfoAsResponse } from "../definitions/MicrosoftGraphVisualInfoAsResponse";
import { MicrosoftGraphActivityHistoryItemAsResponse } from "../definitions/MicrosoftGraphActivityHistoryItemAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
export interface MicrosoftGraphUserActivityAsResponse {
    id?: string;
    activationUrl?: string;
    activitySourceHost?: string;
    appActivityId?: string;
    appDisplayName?: string | null;
    contentInfo?: MicrosoftGraphJsonAsResponse | null;
    contentUrl?: string | null;
    createdDateTime?: string | null;
    expirationDateTime?: string | null;
    fallbackUrl?: string | null;
    lastModifiedDateTime?: string | null;
    status?: MicrosoftGraphStatusAsResponse | null;
    userTimezone?: string | null;
    visualElements?: MicrosoftGraphVisualInfoAsResponse;
    historyItems?: Array<MicrosoftGraphActivityHistoryItemAsResponse>;
    "historyItems@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphUserActivityAsResponse.d.ts.map