/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphAssignedLicenseAsResponse } from "../definitions/MicrosoftGraphAssignedLicenseAsResponse";
import { MicrosoftGraphAssignedPlanAsResponse } from "../definitions/MicrosoftGraphAssignedPlanAsResponse";
import { MicrosoftGraphAuthorizationInfoAsResponse } from "../definitions/MicrosoftGraphAuthorizationInfoAsResponse";
import { MicrosoftGraphEmployeeOrgDataAsResponse } from "../definitions/MicrosoftGraphEmployeeOrgDataAsResponse";
import { MicrosoftGraphObjectIdentityAsResponse } from "../definitions/MicrosoftGraphObjectIdentityAsResponse";
import { MicrosoftGraphLicenseAssignmentStateAsResponse } from "../definitions/MicrosoftGraphLicenseAssignmentStateAsResponse";
import { MicrosoftGraphOnPremisesExtensionAttributesAsResponse } from "../definitions/MicrosoftGraphOnPremisesExtensionAttributesAsResponse";
import { MicrosoftGraphOnPremisesProvisioningErrorAsResponse } from "../definitions/MicrosoftGraphOnPremisesProvisioningErrorAsResponse";
import { MicrosoftGraphPasswordProfileAsResponse } from "../definitions/MicrosoftGraphPasswordProfileAsResponse";
import { MicrosoftGraphProvisionedPlanAsResponse } from "../definitions/MicrosoftGraphProvisionedPlanAsResponse";
import { MicrosoftGraphMailboxSettingsAsResponse } from "../definitions/MicrosoftGraphMailboxSettingsAsResponse";
import { MicrosoftGraphAppRoleAssignmentAsResponse } from "../definitions/MicrosoftGraphAppRoleAssignmentAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphDirectoryObjectAsResponse } from "../definitions/MicrosoftGraphDirectoryObjectAsResponse";
import { MicrosoftGraphLicenseDetailsAsResponse } from "../definitions/MicrosoftGraphLicenseDetailsAsResponse";
import { MicrosoftGraphOAuth2PermissionGrantAsResponse } from "../definitions/MicrosoftGraphOAuth2PermissionGrantAsResponse";
import { MicrosoftGraphScopedRoleMembershipAsResponse } from "../definitions/MicrosoftGraphScopedRoleMembershipAsResponse";
import { MicrosoftGraphCalendarAsResponse } from "../definitions/MicrosoftGraphCalendarAsResponse";
import { MicrosoftGraphCalendarGroupAsResponse } from "../definitions/MicrosoftGraphCalendarGroupAsResponse";
import { MicrosoftGraphEventAsResponse } from "../definitions/MicrosoftGraphEventAsResponse";
import { MicrosoftGraphContactFolderAsResponse } from "../definitions/MicrosoftGraphContactFolderAsResponse";
import { MicrosoftGraphContactAsResponse } from "../definitions/MicrosoftGraphContactAsResponse";
import { MicrosoftGraphInferenceClassificationAsResponse } from "../definitions/MicrosoftGraphInferenceClassificationAsResponse";
import { MicrosoftGraphMailFolderAsResponse } from "../definitions/MicrosoftGraphMailFolderAsResponse";
import { MicrosoftGraphMessageAsResponse } from "../definitions/MicrosoftGraphMessageAsResponse";
import { MicrosoftGraphOutlookUserAsResponse } from "../definitions/MicrosoftGraphOutlookUserAsResponse";
import { MicrosoftGraphPersonAsResponse } from "../definitions/MicrosoftGraphPersonAsResponse";
import { MicrosoftGraphDriveAsResponse } from "../definitions/MicrosoftGraphDriveAsResponse";
import { MicrosoftGraphSiteAsResponse } from "../definitions/MicrosoftGraphSiteAsResponse";
import { MicrosoftGraphExtensionAsResponse } from "../definitions/MicrosoftGraphExtensionAsResponse";
import { MicrosoftGraphAgreementAcceptanceAsResponse } from "../definitions/MicrosoftGraphAgreementAcceptanceAsResponse";
import { MicrosoftGraphManagedDeviceAsResponse } from "../definitions/MicrosoftGraphManagedDeviceAsResponse";
import { MicrosoftGraphManagedAppRegistrationAsResponse } from "../definitions/MicrosoftGraphManagedAppRegistrationAsResponse";
import { MicrosoftGraphDeviceManagementTroubleshootingEventAsResponse } from "../definitions/MicrosoftGraphDeviceManagementTroubleshootingEventAsResponse";
import { MicrosoftGraphPlannerUserAsResponse } from "../definitions/MicrosoftGraphPlannerUserAsResponse";
import { MicrosoftGraphOfficeGraphInsightsAsResponse } from "../definitions/MicrosoftGraphOfficeGraphInsightsAsResponse";
import { MicrosoftGraphUserSettingsAsResponse } from "../definitions/MicrosoftGraphUserSettingsAsResponse";
import { MicrosoftGraphOnenoteAsResponse } from "../definitions/MicrosoftGraphOnenoteAsResponse";
import { MicrosoftGraphProfilePhotoAsResponse } from "../definitions/MicrosoftGraphProfilePhotoAsResponse";
import { MicrosoftGraphUserActivityAsResponse } from "../definitions/MicrosoftGraphUserActivityAsResponse";
import { MicrosoftGraphOnlineMeetingAsResponse } from "../definitions/MicrosoftGraphOnlineMeetingAsResponse";
import { MicrosoftGraphPresenceAsResponse } from "../definitions/MicrosoftGraphPresenceAsResponse";
import { MicrosoftGraphAuthenticationAsResponse } from "../definitions/MicrosoftGraphAuthenticationAsResponse";
import { MicrosoftGraphChatAsResponse } from "../definitions/MicrosoftGraphChatAsResponse";
import { MicrosoftGraphTeamAsResponse } from "../definitions/MicrosoftGraphTeamAsResponse";
import { MicrosoftGraphUserTeamworkAsResponse } from "../definitions/MicrosoftGraphUserTeamworkAsResponse";
import { MicrosoftGraphTodoAsResponse } from "../definitions/MicrosoftGraphTodoAsResponse";
export interface MicrosoftGraphUserAsResponse {
    id?: string;
    deletedDateTime?: string | null;
    accountEnabled?: boolean | null;
    ageGroup?: string | null;
    assignedLicenses?: Array<MicrosoftGraphAssignedLicenseAsResponse>;
    assignedPlans?: Array<MicrosoftGraphAssignedPlanAsResponse>;
    authorizationInfo?: MicrosoftGraphAuthorizationInfoAsResponse | null;
    businessPhones?: Array<string>;
    city?: string | null;
    companyName?: string | null;
    consentProvidedForMinor?: string | null;
    country?: string | null;
    createdDateTime?: string | null;
    creationType?: string | null;
    department?: string | null;
    displayName?: string | null;
    employeeHireDate?: string | null;
    employeeId?: string | null;
    employeeOrgData?: MicrosoftGraphEmployeeOrgDataAsResponse | null;
    employeeType?: string | null;
    externalUserState?: string | null;
    externalUserStateChangeDateTime?: string | null;
    faxNumber?: string | null;
    givenName?: string | null;
    identities?: Array<MicrosoftGraphObjectIdentityAsResponse>;
    imAddresses?: Array<string>;
    isResourceAccount?: boolean | null;
    jobTitle?: string | null;
    lastPasswordChangeDateTime?: string | null;
    legalAgeGroupClassification?: string | null;
    licenseAssignmentStates?: Array<MicrosoftGraphLicenseAssignmentStateAsResponse>;
    mail?: string | null;
    mailNickname?: string | null;
    mobilePhone?: string | null;
    officeLocation?: string | null;
    onPremisesDistinguishedName?: string | null;
    onPremisesDomainName?: string | null;
    onPremisesExtensionAttributes?: MicrosoftGraphOnPremisesExtensionAttributesAsResponse | null;
    onPremisesImmutableId?: string | null;
    onPremisesLastSyncDateTime?: string | null;
    onPremisesProvisioningErrors?: Array<MicrosoftGraphOnPremisesProvisioningErrorAsResponse>;
    onPremisesSamAccountName?: string | null;
    onPremisesSecurityIdentifier?: string | null;
    onPremisesSyncEnabled?: boolean | null;
    onPremisesUserPrincipalName?: string | null;
    otherMails?: Array<string>;
    passwordPolicies?: string | null;
    passwordProfile?: MicrosoftGraphPasswordProfileAsResponse | null;
    postalCode?: string | null;
    preferredDataLocation?: string | null;
    preferredLanguage?: string | null;
    provisionedPlans?: Array<MicrosoftGraphProvisionedPlanAsResponse>;
    proxyAddresses?: Array<string>;
    securityIdentifier?: string | null;
    showInAddressList?: boolean | null;
    signInSessionsValidFromDateTime?: string | null;
    state?: string | null;
    streetAddress?: string | null;
    surname?: string | null;
    usageLocation?: string | null;
    userPrincipalName?: string | null;
    userType?: string | null;
    mailboxSettings?: MicrosoftGraphMailboxSettingsAsResponse | null;
    deviceEnrollmentLimit?: number;
    aboutMe?: string | null;
    birthday?: string;
    hireDate?: string;
    interests?: Array<string>;
    mySite?: string | null;
    pastProjects?: Array<string>;
    preferredName?: string | null;
    responsibilities?: Array<string>;
    schools?: Array<string>;
    skills?: Array<string>;
    appRoleAssignments?: Array<MicrosoftGraphAppRoleAssignmentAsResponse>;
    "appRoleAssignments@odata.count"?: CountAsResponse;
    createdObjects?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "createdObjects@odata.count"?: CountAsResponse;
    directReports?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "directReports@odata.count"?: CountAsResponse;
    licenseDetails?: Array<MicrosoftGraphLicenseDetailsAsResponse>;
    "licenseDetails@odata.count"?: CountAsResponse;
    manager?: MicrosoftGraphDirectoryObjectAsResponse | null;
    memberOf?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "memberOf@odata.count"?: CountAsResponse;
    oauth2PermissionGrants?: Array<MicrosoftGraphOAuth2PermissionGrantAsResponse>;
    "oauth2PermissionGrants@odata.count"?: CountAsResponse;
    ownedDevices?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "ownedDevices@odata.count"?: CountAsResponse;
    ownedObjects?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "ownedObjects@odata.count"?: CountAsResponse;
    registeredDevices?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "registeredDevices@odata.count"?: CountAsResponse;
    scopedRoleMemberOf?: Array<MicrosoftGraphScopedRoleMembershipAsResponse>;
    "scopedRoleMemberOf@odata.count"?: CountAsResponse;
    transitiveMemberOf?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "transitiveMemberOf@odata.count"?: CountAsResponse;
    calendar?: MicrosoftGraphCalendarAsResponse | null;
    calendarGroups?: Array<MicrosoftGraphCalendarGroupAsResponse>;
    "calendarGroups@odata.count"?: CountAsResponse;
    calendars?: Array<MicrosoftGraphCalendarAsResponse>;
    "calendars@odata.count"?: CountAsResponse;
    calendarView?: Array<MicrosoftGraphEventAsResponse>;
    "calendarView@odata.count"?: CountAsResponse;
    contactFolders?: Array<MicrosoftGraphContactFolderAsResponse>;
    "contactFolders@odata.count"?: CountAsResponse;
    contacts?: Array<MicrosoftGraphContactAsResponse>;
    "contacts@odata.count"?: CountAsResponse;
    events?: Array<MicrosoftGraphEventAsResponse>;
    "events@odata.count"?: CountAsResponse;
    inferenceClassification?: MicrosoftGraphInferenceClassificationAsResponse | null;
    mailFolders?: Array<MicrosoftGraphMailFolderAsResponse>;
    "mailFolders@odata.count"?: CountAsResponse;
    messages?: Array<MicrosoftGraphMessageAsResponse>;
    "messages@odata.count"?: CountAsResponse;
    outlook?: MicrosoftGraphOutlookUserAsResponse | null;
    people?: Array<MicrosoftGraphPersonAsResponse>;
    "people@odata.count"?: CountAsResponse;
    drive?: MicrosoftGraphDriveAsResponse | null;
    drives?: Array<MicrosoftGraphDriveAsResponse>;
    "drives@odata.count"?: CountAsResponse;
    followedSites?: Array<MicrosoftGraphSiteAsResponse>;
    "followedSites@odata.count"?: CountAsResponse;
    extensions?: Array<MicrosoftGraphExtensionAsResponse>;
    "extensions@odata.count"?: CountAsResponse;
    agreementAcceptances?: Array<MicrosoftGraphAgreementAcceptanceAsResponse>;
    "agreementAcceptances@odata.count"?: CountAsResponse;
    managedDevices?: Array<MicrosoftGraphManagedDeviceAsResponse>;
    "managedDevices@odata.count"?: CountAsResponse;
    managedAppRegistrations?: Array<MicrosoftGraphManagedAppRegistrationAsResponse>;
    "managedAppRegistrations@odata.count"?: CountAsResponse;
    deviceManagementTroubleshootingEvents?: Array<MicrosoftGraphDeviceManagementTroubleshootingEventAsResponse>;
    "deviceManagementTroubleshootingEvents@odata.count"?: CountAsResponse;
    planner?: MicrosoftGraphPlannerUserAsResponse | null;
    insights?: MicrosoftGraphOfficeGraphInsightsAsResponse | null;
    settings?: MicrosoftGraphUserSettingsAsResponse | null;
    onenote?: MicrosoftGraphOnenoteAsResponse | null;
    photo?: MicrosoftGraphProfilePhotoAsResponse | null;
    photos?: Array<MicrosoftGraphProfilePhotoAsResponse>;
    "photos@odata.count"?: CountAsResponse;
    activities?: Array<MicrosoftGraphUserActivityAsResponse>;
    "activities@odata.count"?: CountAsResponse;
    onlineMeetings?: Array<MicrosoftGraphOnlineMeetingAsResponse>;
    "onlineMeetings@odata.count"?: CountAsResponse;
    presence?: MicrosoftGraphPresenceAsResponse | null;
    authentication?: MicrosoftGraphAuthenticationAsResponse | null;
    chats?: Array<MicrosoftGraphChatAsResponse>;
    "chats@odata.count"?: CountAsResponse;
    joinedTeams?: Array<MicrosoftGraphTeamAsResponse>;
    "joinedTeams@odata.count"?: CountAsResponse;
    teamwork?: MicrosoftGraphUserTeamworkAsResponse | null;
    todo?: MicrosoftGraphTodoAsResponse | null;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphUserAsResponse.d.ts.map