/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphWorkbookApplicationAsResponse } from "../definitions/MicrosoftGraphWorkbookApplicationAsResponse";
import { MicrosoftGraphWorkbookCommentAsResponse } from "../definitions/MicrosoftGraphWorkbookCommentAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphWorkbookFunctionsAsResponse } from "../definitions/MicrosoftGraphWorkbookFunctionsAsResponse";
import { MicrosoftGraphWorkbookNamedItemAsResponse } from "../definitions/MicrosoftGraphWorkbookNamedItemAsResponse";
import { MicrosoftGraphWorkbookOperationAsResponse } from "../definitions/MicrosoftGraphWorkbookOperationAsResponse";
import { MicrosoftGraphWorkbookTableAsResponse } from "../definitions/MicrosoftGraphWorkbookTableAsResponse";
import { MicrosoftGraphWorkbookWorksheetAsResponse } from "../definitions/MicrosoftGraphWorkbookWorksheetAsResponse";
export interface MicrosoftGraphWorkbookAsResponse {
    id?: string;
    application?: MicrosoftGraphWorkbookApplicationAsResponse | null;
    comments?: Array<MicrosoftGraphWorkbookCommentAsResponse>;
    "comments@odata.count"?: CountAsResponse;
    functions?: MicrosoftGraphWorkbookFunctionsAsResponse | null;
    names?: Array<MicrosoftGraphWorkbookNamedItemAsResponse>;
    "names@odata.count"?: CountAsResponse;
    operations?: Array<MicrosoftGraphWorkbookOperationAsResponse>;
    "operations@odata.count"?: CountAsResponse;
    tables?: Array<MicrosoftGraphWorkbookTableAsResponse>;
    "tables@odata.count"?: CountAsResponse;
    worksheets?: Array<MicrosoftGraphWorkbookWorksheetAsResponse>;
    "worksheets@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphWorkbookAsResponse.d.ts.map