/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphWorkbookChartAxesAsResponse } from "../definitions/MicrosoftGraphWorkbookChartAxesAsResponse";
import { MicrosoftGraphWorkbookChartDataLabelsAsResponse } from "../definitions/MicrosoftGraphWorkbookChartDataLabelsAsResponse";
import { MicrosoftGraphWorkbookChartAreaFormatAsResponse } from "../definitions/MicrosoftGraphWorkbookChartAreaFormatAsResponse";
import { MicrosoftGraphWorkbookChartLegendAsResponse } from "../definitions/MicrosoftGraphWorkbookChartLegendAsResponse";
import { MicrosoftGraphWorkbookChartSeriesAsResponse } from "../definitions/MicrosoftGraphWorkbookChartSeriesAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphWorkbookChartTitleAsResponse } from "../definitions/MicrosoftGraphWorkbookChartTitleAsResponse";
import { MicrosoftGraphWorkbookWorksheetAsResponse } from "../definitions/MicrosoftGraphWorkbookWorksheetAsResponse";
export interface MicrosoftGraphWorkbookChartAsResponse {
    id?: string;
    height?: number;
    left?: number;
    name?: string | null;
    top?: number;
    width?: number;
    axes?: MicrosoftGraphWorkbookChartAxesAsResponse | null;
    dataLabels?: MicrosoftGraphWorkbookChartDataLabelsAsResponse | null;
    format?: MicrosoftGraphWorkbookChartAreaFormatAsResponse | null;
    legend?: MicrosoftGraphWorkbookChartLegendAsResponse | null;
    series?: Array<MicrosoftGraphWorkbookChartSeriesAsResponse>;
    "series@odata.count"?: CountAsResponse;
    title?: MicrosoftGraphWorkbookChartTitleAsResponse | null;
    worksheet?: MicrosoftGraphWorkbookWorksheetAsResponse;
}
//# sourceMappingURL=MicrosoftGraphWorkbookChartAsResponse.d.ts.map