/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphWorkbookChartAsResponse } from "../definitions/MicrosoftGraphWorkbookChartAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphWorkbookNamedItemAsResponse } from "../definitions/MicrosoftGraphWorkbookNamedItemAsResponse";
import { MicrosoftGraphWorkbookPivotTableAsResponse } from "../definitions/MicrosoftGraphWorkbookPivotTableAsResponse";
import { MicrosoftGraphWorkbookWorksheetProtectionAsResponse } from "../definitions/MicrosoftGraphWorkbookWorksheetProtectionAsResponse";
import { MicrosoftGraphWorkbookTableAsResponse } from "../definitions/MicrosoftGraphWorkbookTableAsResponse";
export interface MicrosoftGraphWorkbookWorksheetAsResponse {
    id?: string;
    name?: string | null;
    position?: number;
    visibility?: string;
    charts?: Array<MicrosoftGraphWorkbookChartAsResponse>;
    "charts@odata.count"?: CountAsResponse;
    names?: Array<MicrosoftGraphWorkbookNamedItemAsResponse>;
    "names@odata.count"?: CountAsResponse;
    pivotTables?: Array<MicrosoftGraphWorkbookPivotTableAsResponse>;
    "pivotTables@odata.count"?: CountAsResponse;
    protection?: MicrosoftGraphWorkbookWorksheetProtectionAsResponse | null;
    tables?: Array<MicrosoftGraphWorkbookTableAsResponse>;
    "tables@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphWorkbookWorksheetAsResponse.d.ts.map