/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ErrorAsResponse {
    error: {
        code: string;
        message: string;
        target?: string;
        details?: Array<{
            code: string;
            message: string;
            target?: string;
        }>;
        /**
         * The structure of this object is service-specific
         */
        innererror?: any;
    };
}
//# sourceMappingURL=ErrorAsResponse.d.ts.map