/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphDirectoryObjectAsResponse } from "../definitions/MicrosoftGraphDirectoryObjectAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphScopedRoleMembershipAsResponse } from "../definitions/MicrosoftGraphScopedRoleMembershipAsResponse";
import { MicrosoftGraphExtensionAsResponse } from "../definitions/MicrosoftGraphExtensionAsResponse";
export interface MicrosoftGraphAdministrativeUnitAsResponse {
    id?: string;
    deletedDateTime?: string | null;
    description?: string | null;
    displayName?: string | null;
    visibility?: string | null;
    members?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "members@odata.count"?: CountAsResponse;
    scopedRoleMembers?: Array<MicrosoftGraphScopedRoleMembershipAsResponse>;
    "scopedRoleMembers@odata.count"?: CountAsResponse;
    extensions?: Array<MicrosoftGraphExtensionAsResponse>;
    "extensions@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphAdministrativeUnitAsResponse.d.ts.map