/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphAddInAsResponse } from "../definitions/MicrosoftGraphAddInAsResponse";
import { MicrosoftGraphApiApplicationAsResponse } from "../definitions/MicrosoftGraphApiApplicationAsResponse";
import { MicrosoftGraphAppRoleAsResponse } from "../definitions/MicrosoftGraphAppRoleAsResponse";
import { MicrosoftGraphCertificationAsResponse } from "../definitions/MicrosoftGraphCertificationAsResponse";
import { MicrosoftGraphInformationalUrlAsResponse } from "../definitions/MicrosoftGraphInformationalUrlAsResponse";
import { MicrosoftGraphKeyCredentialAsResponse } from "../definitions/MicrosoftGraphKeyCredentialAsResponse";
import { MicrosoftGraphOptionalClaimsAsResponse } from "../definitions/MicrosoftGraphOptionalClaimsAsResponse";
import { MicrosoftGraphParentalControlSettingsAsResponse } from "../definitions/MicrosoftGraphParentalControlSettingsAsResponse";
import { MicrosoftGraphPasswordCredentialAsResponse } from "../definitions/MicrosoftGraphPasswordCredentialAsResponse";
import { MicrosoftGraphPublicClientApplicationAsResponse } from "../definitions/MicrosoftGraphPublicClientApplicationAsResponse";
import { MicrosoftGraphRequiredResourceAccessAsResponse } from "../definitions/MicrosoftGraphRequiredResourceAccessAsResponse";
import { MicrosoftGraphSpaApplicationAsResponse } from "../definitions/MicrosoftGraphSpaApplicationAsResponse";
import { MicrosoftGraphVerifiedPublisherAsResponse } from "../definitions/MicrosoftGraphVerifiedPublisherAsResponse";
import { MicrosoftGraphWebApplicationAsResponse } from "../definitions/MicrosoftGraphWebApplicationAsResponse";
import { MicrosoftGraphDirectoryObjectAsResponse } from "../definitions/MicrosoftGraphDirectoryObjectAsResponse";
import { MicrosoftGraphExtensionPropertyAsResponse } from "../definitions/MicrosoftGraphExtensionPropertyAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphFederatedIdentityCredentialAsResponse } from "../definitions/MicrosoftGraphFederatedIdentityCredentialAsResponse";
import { MicrosoftGraphHomeRealmDiscoveryPolicyAsResponse } from "../definitions/MicrosoftGraphHomeRealmDiscoveryPolicyAsResponse";
import { MicrosoftGraphTokenIssuancePolicyAsResponse } from "../definitions/MicrosoftGraphTokenIssuancePolicyAsResponse";
import { MicrosoftGraphTokenLifetimePolicyAsResponse } from "../definitions/MicrosoftGraphTokenLifetimePolicyAsResponse";
export interface MicrosoftGraphApplicationAsResponse {
    id?: string;
    deletedDateTime?: string | null;
    addIns?: Array<MicrosoftGraphAddInAsResponse>;
    api?: MicrosoftGraphApiApplicationAsResponse | null;
    appId?: string | null;
    applicationTemplateId?: string | null;
    appRoles?: Array<MicrosoftGraphAppRoleAsResponse>;
    certification?: MicrosoftGraphCertificationAsResponse | null;
    createdDateTime?: string | null;
    defaultRedirectUri?: string | null;
    description?: string | null;
    disabledByMicrosoftStatus?: string | null;
    displayName?: string | null;
    groupMembershipClaims?: string | null;
    identifierUris?: Array<string>;
    info?: MicrosoftGraphInformationalUrlAsResponse | null;
    isDeviceOnlyAuthSupported?: boolean | null;
    isFallbackPublicClient?: boolean | null;
    keyCredentials?: Array<MicrosoftGraphKeyCredentialAsResponse>;
    logo?: string;
    notes?: string | null;
    oauth2RequirePostResponse?: boolean;
    optionalClaims?: MicrosoftGraphOptionalClaimsAsResponse | null;
    parentalControlSettings?: MicrosoftGraphParentalControlSettingsAsResponse | null;
    passwordCredentials?: Array<MicrosoftGraphPasswordCredentialAsResponse>;
    publicClient?: MicrosoftGraphPublicClientApplicationAsResponse | null;
    publisherDomain?: string | null;
    requiredResourceAccess?: Array<MicrosoftGraphRequiredResourceAccessAsResponse>;
    samlMetadataUrl?: string | null;
    serviceManagementReference?: string | null;
    signInAudience?: string | null;
    spa?: MicrosoftGraphSpaApplicationAsResponse | null;
    tags?: Array<string>;
    tokenEncryptionKeyId?: string | null;
    verifiedPublisher?: MicrosoftGraphVerifiedPublisherAsResponse | null;
    web?: MicrosoftGraphWebApplicationAsResponse | null;
    createdOnBehalfOf?: MicrosoftGraphDirectoryObjectAsResponse;
    extensionProperties?: Array<MicrosoftGraphExtensionPropertyAsResponse>;
    "extensionProperties@odata.count"?: CountAsResponse;
    federatedIdentityCredentials?: Array<MicrosoftGraphFederatedIdentityCredentialAsResponse>;
    "federatedIdentityCredentials@odata.count"?: CountAsResponse;
    homeRealmDiscoveryPolicies?: Array<MicrosoftGraphHomeRealmDiscoveryPolicyAsResponse>;
    "homeRealmDiscoveryPolicies@odata.count"?: CountAsResponse;
    owners?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "owners@odata.count"?: CountAsResponse;
    tokenIssuancePolicies?: Array<MicrosoftGraphTokenIssuancePolicyAsResponse>;
    "tokenIssuancePolicies@odata.count"?: CountAsResponse;
    tokenLifetimePolicies?: Array<MicrosoftGraphTokenLifetimePolicyAsResponse>;
    "tokenLifetimePolicies@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphApplicationAsResponse.d.ts.map