/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphIdentitySetAsResponse } from "../definitions/MicrosoftGraphIdentitySetAsResponse";
import { MicrosoftGraphItemReferenceAsResponse } from "../definitions/MicrosoftGraphItemReferenceAsResponse";
import { MicrosoftGraphUserAsResponse } from "../definitions/MicrosoftGraphUserAsResponse";
import { MicrosoftGraphQuotaAsResponse } from "../definitions/MicrosoftGraphQuotaAsResponse";
import { MicrosoftGraphSharepointIdsAsResponse } from "../definitions/MicrosoftGraphSharepointIdsAsResponse";
import { MicrosoftGraphSystemFacetAsResponse } from "../definitions/MicrosoftGraphSystemFacetAsResponse";
import { MicrosoftGraphDriveItemAsResponse } from "../definitions/MicrosoftGraphDriveItemAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphListAsResponse } from "../definitions/MicrosoftGraphListAsResponse";
export interface MicrosoftGraphDriveAsResponse {
    id?: string;
    createdBy?: MicrosoftGraphIdentitySetAsResponse | null;
    createdDateTime?: string;
    description?: string | null;
    eTag?: string | null;
    lastModifiedBy?: MicrosoftGraphIdentitySetAsResponse | null;
    lastModifiedDateTime?: string;
    name?: string | null;
    parentReference?: MicrosoftGraphItemReferenceAsResponse | null;
    webUrl?: string | null;
    createdByUser?: MicrosoftGraphUserAsResponse;
    lastModifiedByUser?: MicrosoftGraphUserAsResponse;
    driveType?: string | null;
    owner?: MicrosoftGraphIdentitySetAsResponse | null;
    quota?: MicrosoftGraphQuotaAsResponse | null;
    sharePointIds?: MicrosoftGraphSharepointIdsAsResponse | null;
    system?: MicrosoftGraphSystemFacetAsResponse | null;
    bundles?: Array<MicrosoftGraphDriveItemAsResponse>;
    "bundles@odata.count"?: CountAsResponse;
    following?: Array<MicrosoftGraphDriveItemAsResponse>;
    "following@odata.count"?: CountAsResponse;
    items?: Array<MicrosoftGraphDriveItemAsResponse>;
    "items@odata.count"?: CountAsResponse;
    list?: MicrosoftGraphListAsResponse | null;
    root?: MicrosoftGraphDriveItemAsResponse | null;
    special?: Array<MicrosoftGraphDriveItemAsResponse>;
    "special@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphDriveAsResponse.d.ts.map