/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphRecipientAsResponse } from "../definitions/MicrosoftGraphRecipientAsResponse";
import { MicrosoftGraphItemBodyAsResponse } from "../definitions/MicrosoftGraphItemBodyAsResponse";
import { MicrosoftGraphFollowupFlagAsResponse } from "../definitions/MicrosoftGraphFollowupFlagAsResponse";
import { MicrosoftGraphImportanceAsResponse } from "../definitions/MicrosoftGraphImportanceAsResponse";
import { MicrosoftGraphInferenceClassificationTypeAsResponse } from "../definitions/MicrosoftGraphInferenceClassificationTypeAsResponse";
import { MicrosoftGraphInternetMessageHeaderAsResponse } from "../definitions/MicrosoftGraphInternetMessageHeaderAsResponse";
import { MicrosoftGraphAttachmentAsResponse } from "../definitions/MicrosoftGraphAttachmentAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphExtensionAsResponse } from "../definitions/MicrosoftGraphExtensionAsResponse";
import { MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse";
import { MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse } from "../definitions/MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse";
import { MicrosoftGraphDateTimeTimeZoneAsResponse } from "../definitions/MicrosoftGraphDateTimeTimeZoneAsResponse";
import { MicrosoftGraphLocationAsResponse } from "../definitions/MicrosoftGraphLocationAsResponse";
import { MicrosoftGraphMeetingMessageTypeAsResponse } from "../definitions/MicrosoftGraphMeetingMessageTypeAsResponse";
import { MicrosoftGraphPatternedRecurrenceAsResponse } from "../definitions/MicrosoftGraphPatternedRecurrenceAsResponse";
import { MicrosoftGraphEventTypeAsResponse } from "../definitions/MicrosoftGraphEventTypeAsResponse";
import { MicrosoftGraphEventAsResponse } from "../definitions/MicrosoftGraphEventAsResponse";
import { MicrosoftGraphTimeSlotAsResponse } from "../definitions/MicrosoftGraphTimeSlotAsResponse";
import { MicrosoftGraphResponseTypeAsResponse } from "../definitions/MicrosoftGraphResponseTypeAsResponse";
export interface MicrosoftGraphEventMessageResponseAsResponse {
    id?: string;
    categories?: Array<string>;
    changeKey?: string | null;
    createdDateTime?: string | null;
    lastModifiedDateTime?: string | null;
    bccRecipients?: Array<MicrosoftGraphRecipientAsResponse>;
    body?: MicrosoftGraphItemBodyAsResponse | null;
    bodyPreview?: string | null;
    ccRecipients?: Array<MicrosoftGraphRecipientAsResponse>;
    conversationId?: string | null;
    conversationIndex?: string | null;
    flag?: MicrosoftGraphFollowupFlagAsResponse | null;
    from?: MicrosoftGraphRecipientAsResponse | null;
    hasAttachments?: boolean | null;
    importance?: MicrosoftGraphImportanceAsResponse | null;
    inferenceClassification?: MicrosoftGraphInferenceClassificationTypeAsResponse | null;
    internetMessageHeaders?: Array<MicrosoftGraphInternetMessageHeaderAsResponse>;
    internetMessageId?: string | null;
    isDeliveryReceiptRequested?: boolean | null;
    isDraft?: boolean | null;
    isRead?: boolean | null;
    isReadReceiptRequested?: boolean | null;
    parentFolderId?: string | null;
    receivedDateTime?: string | null;
    replyTo?: Array<MicrosoftGraphRecipientAsResponse>;
    sender?: MicrosoftGraphRecipientAsResponse | null;
    sentDateTime?: string | null;
    subject?: string | null;
    toRecipients?: Array<MicrosoftGraphRecipientAsResponse>;
    uniqueBody?: MicrosoftGraphItemBodyAsResponse | null;
    webLink?: string | null;
    attachments?: Array<MicrosoftGraphAttachmentAsResponse>;
    "attachments@odata.count"?: CountAsResponse;
    extensions?: Array<MicrosoftGraphExtensionAsResponse>;
    "extensions@odata.count"?: CountAsResponse;
    multiValueExtendedProperties?: Array<MicrosoftGraphMultiValueLegacyExtendedPropertyAsResponse>;
    "multiValueExtendedProperties@odata.count"?: CountAsResponse;
    singleValueExtendedProperties?: Array<MicrosoftGraphSingleValueLegacyExtendedPropertyAsResponse>;
    "singleValueExtendedProperties@odata.count"?: CountAsResponse;
    endDateTime?: MicrosoftGraphDateTimeTimeZoneAsResponse | null;
    isAllDay?: boolean | null;
    isDelegated?: boolean | null;
    isOutOfDate?: boolean | null;
    location?: MicrosoftGraphLocationAsResponse | null;
    meetingMessageType?: MicrosoftGraphMeetingMessageTypeAsResponse | null;
    recurrence?: MicrosoftGraphPatternedRecurrenceAsResponse | null;
    startDateTime?: MicrosoftGraphDateTimeTimeZoneAsResponse | null;
    type?: MicrosoftGraphEventTypeAsResponse | null;
    event?: MicrosoftGraphEventAsResponse | null;
    proposedNewTime?: MicrosoftGraphTimeSlotAsResponse | null;
    responseType?: MicrosoftGraphResponseTypeAsResponse | null;
}
//# sourceMappingURL=MicrosoftGraphEventMessageResponseAsResponse.d.ts.map