/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphRecipientAsResponse } from "../definitions/MicrosoftGraphRecipientAsResponse";
import { MicrosoftGraphImportanceAsResponse } from "../definitions/MicrosoftGraphImportanceAsResponse";
import { MicrosoftGraphMessageActionFlagAsResponse } from "../definitions/MicrosoftGraphMessageActionFlagAsResponse";
import { MicrosoftGraphSensitivityAsResponse } from "../definitions/MicrosoftGraphSensitivityAsResponse";
import { MicrosoftGraphSizeRangeAsResponse } from "../definitions/MicrosoftGraphSizeRangeAsResponse";
export interface MicrosoftGraphMessageRulePredicatesAsResponse {
    bodyContains?: Array<string>;
    bodyOrSubjectContains?: Array<string>;
    categories?: Array<string>;
    fromAddresses?: Array<MicrosoftGraphRecipientAsResponse>;
    hasAttachments?: boolean | null;
    headerContains?: Array<string>;
    importance?: MicrosoftGraphImportanceAsResponse | null;
    isApprovalRequest?: boolean | null;
    isAutomaticForward?: boolean | null;
    isAutomaticReply?: boolean | null;
    isEncrypted?: boolean | null;
    isMeetingRequest?: boolean | null;
    isMeetingResponse?: boolean | null;
    isNonDeliveryReport?: boolean | null;
    isPermissionControlled?: boolean | null;
    isReadReceipt?: boolean | null;
    isSigned?: boolean | null;
    isVoicemail?: boolean | null;
    messageActionFlag?: MicrosoftGraphMessageActionFlagAsResponse | null;
    notSentToMe?: boolean | null;
    recipientContains?: Array<string>;
    senderContains?: Array<string>;
    sensitivity?: MicrosoftGraphSensitivityAsResponse | null;
    sentCcMe?: boolean | null;
    sentOnlyToMe?: boolean | null;
    sentToAddresses?: Array<MicrosoftGraphRecipientAsResponse>;
    sentToMe?: boolean | null;
    sentToOrCcMe?: boolean | null;
    subjectContains?: Array<string>;
    withinSizeRange?: MicrosoftGraphSizeRangeAsResponse | null;
}
//# sourceMappingURL=MicrosoftGraphMessageRulePredicatesAsResponse.d.ts.map