/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphNotebookAsResponse } from "../definitions/MicrosoftGraphNotebookAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphOnenoteOperationAsResponse } from "../definitions/MicrosoftGraphOnenoteOperationAsResponse";
import { MicrosoftGraphOnenotePageAsResponse } from "../definitions/MicrosoftGraphOnenotePageAsResponse";
import { MicrosoftGraphOnenoteResourceAsResponse } from "../definitions/MicrosoftGraphOnenoteResourceAsResponse";
import { MicrosoftGraphSectionGroupAsResponse } from "../definitions/MicrosoftGraphSectionGroupAsResponse";
import { MicrosoftGraphOnenoteSectionAsResponse } from "../definitions/MicrosoftGraphOnenoteSectionAsResponse";
export interface MicrosoftGraphOnenoteAsResponse {
    id?: string;
    notebooks?: Array<MicrosoftGraphNotebookAsResponse>;
    "notebooks@odata.count"?: CountAsResponse;
    operations?: Array<MicrosoftGraphOnenoteOperationAsResponse>;
    "operations@odata.count"?: CountAsResponse;
    pages?: Array<MicrosoftGraphOnenotePageAsResponse>;
    "pages@odata.count"?: CountAsResponse;
    resources?: Array<MicrosoftGraphOnenoteResourceAsResponse>;
    "resources@odata.count"?: CountAsResponse;
    sectionGroups?: Array<MicrosoftGraphSectionGroupAsResponse>;
    "sectionGroups@odata.count"?: CountAsResponse;
    sections?: Array<MicrosoftGraphOnenoteSectionAsResponse>;
    "sections@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphOnenoteAsResponse.d.ts.map