/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphAssignedPlanAsResponse } from "../definitions/MicrosoftGraphAssignedPlanAsResponse";
import { MicrosoftGraphPrivacyProfileAsResponse } from "../definitions/MicrosoftGraphPrivacyProfileAsResponse";
import { MicrosoftGraphProvisionedPlanAsResponse } from "../definitions/MicrosoftGraphProvisionedPlanAsResponse";
import { MicrosoftGraphVerifiedDomainAsResponse } from "../definitions/MicrosoftGraphVerifiedDomainAsResponse";
import { MicrosoftGraphMdmAuthorityAsResponse } from "../definitions/MicrosoftGraphMdmAuthorityAsResponse";
import { MicrosoftGraphOrganizationalBrandingAsResponse } from "../definitions/MicrosoftGraphOrganizationalBrandingAsResponse";
import { MicrosoftGraphCertificateBasedAuthConfigurationAsResponse } from "../definitions/MicrosoftGraphCertificateBasedAuthConfigurationAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphExtensionAsResponse } from "../definitions/MicrosoftGraphExtensionAsResponse";
export interface MicrosoftGraphOrganizationAsResponse {
    id?: string;
    deletedDateTime?: string | null;
    assignedPlans?: Array<MicrosoftGraphAssignedPlanAsResponse>;
    businessPhones?: Array<string>;
    city?: string | null;
    country?: string | null;
    countryLetterCode?: string | null;
    createdDateTime?: string | null;
    displayName?: string | null;
    marketingNotificationEmails?: Array<string>;
    onPremisesLastSyncDateTime?: string | null;
    onPremisesSyncEnabled?: boolean | null;
    postalCode?: string | null;
    preferredLanguage?: string | null;
    privacyProfile?: MicrosoftGraphPrivacyProfileAsResponse | null;
    provisionedPlans?: Array<MicrosoftGraphProvisionedPlanAsResponse>;
    securityComplianceNotificationMails?: Array<string>;
    securityComplianceNotificationPhones?: Array<string>;
    state?: string | null;
    street?: string | null;
    technicalNotificationMails?: Array<string>;
    tenantType?: string | null;
    verifiedDomains?: Array<MicrosoftGraphVerifiedDomainAsResponse>;
    mobileDeviceManagementAuthority?: MicrosoftGraphMdmAuthorityAsResponse;
    branding?: MicrosoftGraphOrganizationalBrandingAsResponse | null;
    certificateBasedAuthConfiguration?: Array<MicrosoftGraphCertificateBasedAuthConfigurationAsResponse>;
    "certificateBasedAuthConfiguration@odata.count"?: CountAsResponse;
    extensions?: Array<MicrosoftGraphExtensionAsResponse>;
    "extensions@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphOrganizationAsResponse.d.ts.map