/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphAddInAsResponse } from "../definitions/MicrosoftGraphAddInAsResponse";
import { MicrosoftGraphAppRoleAsResponse } from "../definitions/MicrosoftGraphAppRoleAsResponse";
import { MicrosoftGraphInformationalUrlAsResponse } from "../definitions/MicrosoftGraphInformationalUrlAsResponse";
import { MicrosoftGraphKeyCredentialAsResponse } from "../definitions/MicrosoftGraphKeyCredentialAsResponse";
import { MicrosoftGraphPermissionScopeAsResponse } from "../definitions/MicrosoftGraphPermissionScopeAsResponse";
import { MicrosoftGraphPasswordCredentialAsResponse } from "../definitions/MicrosoftGraphPasswordCredentialAsResponse";
import { MicrosoftGraphResourceSpecificPermissionAsResponse } from "../definitions/MicrosoftGraphResourceSpecificPermissionAsResponse";
import { MicrosoftGraphSamlSingleSignOnSettingsAsResponse } from "../definitions/MicrosoftGraphSamlSingleSignOnSettingsAsResponse";
import { MicrosoftGraphVerifiedPublisherAsResponse } from "../definitions/MicrosoftGraphVerifiedPublisherAsResponse";
import { MicrosoftGraphAppRoleAssignmentAsResponse } from "../definitions/MicrosoftGraphAppRoleAssignmentAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphClaimsMappingPolicyAsResponse } from "../definitions/MicrosoftGraphClaimsMappingPolicyAsResponse";
import { MicrosoftGraphDirectoryObjectAsResponse } from "../definitions/MicrosoftGraphDirectoryObjectAsResponse";
import { MicrosoftGraphDelegatedPermissionClassificationAsResponse } from "../definitions/MicrosoftGraphDelegatedPermissionClassificationAsResponse";
import { MicrosoftGraphEndpointAsResponse } from "../definitions/MicrosoftGraphEndpointAsResponse";
import { MicrosoftGraphFederatedIdentityCredentialAsResponse } from "../definitions/MicrosoftGraphFederatedIdentityCredentialAsResponse";
import { MicrosoftGraphHomeRealmDiscoveryPolicyAsResponse } from "../definitions/MicrosoftGraphHomeRealmDiscoveryPolicyAsResponse";
import { MicrosoftGraphOAuth2PermissionGrantAsResponse } from "../definitions/MicrosoftGraphOAuth2PermissionGrantAsResponse";
import { MicrosoftGraphTokenIssuancePolicyAsResponse } from "../definitions/MicrosoftGraphTokenIssuancePolicyAsResponse";
import { MicrosoftGraphTokenLifetimePolicyAsResponse } from "../definitions/MicrosoftGraphTokenLifetimePolicyAsResponse";
export interface MicrosoftGraphServicePrincipalAsResponse {
    id?: string;
    deletedDateTime?: string | null;
    accountEnabled?: boolean | null;
    addIns?: Array<MicrosoftGraphAddInAsResponse>;
    alternativeNames?: Array<string>;
    appDescription?: string | null;
    appDisplayName?: string | null;
    appId?: string | null;
    applicationTemplateId?: string | null;
    appOwnerOrganizationId?: string | null;
    appRoleAssignmentRequired?: boolean;
    appRoles?: Array<MicrosoftGraphAppRoleAsResponse>;
    description?: string | null;
    disabledByMicrosoftStatus?: string | null;
    displayName?: string | null;
    homepage?: string | null;
    info?: MicrosoftGraphInformationalUrlAsResponse | null;
    keyCredentials?: Array<MicrosoftGraphKeyCredentialAsResponse>;
    loginUrl?: string | null;
    logoutUrl?: string | null;
    notes?: string | null;
    notificationEmailAddresses?: Array<string>;
    oauth2PermissionScopes?: Array<MicrosoftGraphPermissionScopeAsResponse>;
    passwordCredentials?: Array<MicrosoftGraphPasswordCredentialAsResponse>;
    preferredSingleSignOnMode?: string | null;
    preferredTokenSigningKeyThumbprint?: string | null;
    replyUrls?: Array<string>;
    resourceSpecificApplicationPermissions?: Array<MicrosoftGraphResourceSpecificPermissionAsResponse>;
    samlSingleSignOnSettings?: MicrosoftGraphSamlSingleSignOnSettingsAsResponse | null;
    servicePrincipalNames?: Array<string>;
    servicePrincipalType?: string | null;
    signInAudience?: string | null;
    tags?: Array<string>;
    tokenEncryptionKeyId?: string | null;
    verifiedPublisher?: MicrosoftGraphVerifiedPublisherAsResponse | null;
    appRoleAssignedTo?: Array<MicrosoftGraphAppRoleAssignmentAsResponse>;
    "appRoleAssignedTo@odata.count"?: CountAsResponse;
    appRoleAssignments?: Array<MicrosoftGraphAppRoleAssignmentAsResponse>;
    "appRoleAssignments@odata.count"?: CountAsResponse;
    claimsMappingPolicies?: Array<MicrosoftGraphClaimsMappingPolicyAsResponse>;
    "claimsMappingPolicies@odata.count"?: CountAsResponse;
    createdObjects?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "createdObjects@odata.count"?: CountAsResponse;
    delegatedPermissionClassifications?: Array<MicrosoftGraphDelegatedPermissionClassificationAsResponse>;
    "delegatedPermissionClassifications@odata.count"?: CountAsResponse;
    endpoints?: Array<MicrosoftGraphEndpointAsResponse>;
    "endpoints@odata.count"?: CountAsResponse;
    federatedIdentityCredentials?: Array<MicrosoftGraphFederatedIdentityCredentialAsResponse>;
    "federatedIdentityCredentials@odata.count"?: CountAsResponse;
    homeRealmDiscoveryPolicies?: Array<MicrosoftGraphHomeRealmDiscoveryPolicyAsResponse>;
    "homeRealmDiscoveryPolicies@odata.count"?: CountAsResponse;
    memberOf?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "memberOf@odata.count"?: CountAsResponse;
    oauth2PermissionGrants?: Array<MicrosoftGraphOAuth2PermissionGrantAsResponse>;
    "oauth2PermissionGrants@odata.count"?: CountAsResponse;
    ownedObjects?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "ownedObjects@odata.count"?: CountAsResponse;
    owners?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "owners@odata.count"?: CountAsResponse;
    tokenIssuancePolicies?: Array<MicrosoftGraphTokenIssuancePolicyAsResponse>;
    "tokenIssuancePolicies@odata.count"?: CountAsResponse;
    tokenLifetimePolicies?: Array<MicrosoftGraphTokenLifetimePolicyAsResponse>;
    "tokenLifetimePolicies@odata.count"?: CountAsResponse;
    transitiveMemberOf?: Array<MicrosoftGraphDirectoryObjectAsResponse>;
    "transitiveMemberOf@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphServicePrincipalAsResponse.d.ts.map