/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface MicrosoftGraphTeamCreate {
    /**
     * Pre-built templates include 'standard', 'educationClass', 'educationStaff', 'educationProfessionalLearningCommunity'
     */
    template: string;
    description?: string;
    displayName?: string;
    funSettings?: any;
    guestSettings?: any;
    memberSettings?: any;
    messagingSettings?: any;
    visibility?: any;
    members?: Array<{
        id: string;
        roles?: Array<"owner" | "guest">;
        userType?: string;
        [x: string]: any;
    }>;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphTeamCreate.d.ts.map