/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphItemBodyAsResponse } from "../definitions/MicrosoftGraphItemBodyAsResponse";
import { MicrosoftGraphDateTimeTimeZoneAsResponse } from "../definitions/MicrosoftGraphDateTimeTimeZoneAsResponse";
import { MicrosoftGraphImportanceAsResponse } from "../definitions/MicrosoftGraphImportanceAsResponse";
import { MicrosoftGraphPatternedRecurrenceAsResponse } from "../definitions/MicrosoftGraphPatternedRecurrenceAsResponse";
import { MicrosoftGraphTaskStatusAsResponse } from "../definitions/MicrosoftGraphTaskStatusAsResponse";
import { MicrosoftGraphAttachmentBaseAsResponse } from "../definitions/MicrosoftGraphAttachmentBaseAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphAttachmentSessionAsResponse } from "../definitions/MicrosoftGraphAttachmentSessionAsResponse";
import { MicrosoftGraphChecklistItemAsResponse } from "../definitions/MicrosoftGraphChecklistItemAsResponse";
import { MicrosoftGraphExtensionAsResponse } from "../definitions/MicrosoftGraphExtensionAsResponse";
import { MicrosoftGraphLinkedResourceAsResponse } from "../definitions/MicrosoftGraphLinkedResourceAsResponse";
export interface MicrosoftGraphTodoTaskAsResponse {
    id?: string;
    body?: MicrosoftGraphItemBodyAsResponse | null;
    bodyLastModifiedDateTime?: string;
    categories?: Array<string>;
    completedDateTime?: MicrosoftGraphDateTimeTimeZoneAsResponse | null;
    createdDateTime?: string;
    dueDateTime?: MicrosoftGraphDateTimeTimeZoneAsResponse | null;
    hasAttachments?: boolean | null;
    importance?: MicrosoftGraphImportanceAsResponse;
    isReminderOn?: boolean;
    lastModifiedDateTime?: string;
    recurrence?: MicrosoftGraphPatternedRecurrenceAsResponse | null;
    reminderDateTime?: MicrosoftGraphDateTimeTimeZoneAsResponse | null;
    startDateTime?: MicrosoftGraphDateTimeTimeZoneAsResponse | null;
    status?: MicrosoftGraphTaskStatusAsResponse;
    title?: string | null;
    attachments?: Array<MicrosoftGraphAttachmentBaseAsResponse>;
    "attachments@odata.count"?: CountAsResponse;
    attachmentSessions?: Array<MicrosoftGraphAttachmentSessionAsResponse>;
    "attachmentSessions@odata.count"?: CountAsResponse;
    checklistItems?: Array<MicrosoftGraphChecklistItemAsResponse>;
    "checklistItems@odata.count"?: CountAsResponse;
    extensions?: Array<MicrosoftGraphExtensionAsResponse>;
    "extensions@odata.count"?: CountAsResponse;
    linkedResources?: Array<MicrosoftGraphLinkedResourceAsResponse>;
    "linkedResources@odata.count"?: CountAsResponse;
}
//# sourceMappingURL=MicrosoftGraphTodoTaskAsResponse.d.ts.map