/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphObjectIdentityCreate } from "../definitions/MicrosoftGraphObjectIdentityCreate";
export interface MicrosoftGraphUserCreate {
    accountEnabled?: boolean;
    ageGroup?: string;
    businessPhones?: Array<string>;
    city?: string;
    companyName?: string;
    consentProvidedForMinor?: string;
    country?: string;
    department?: string;
    displayName?: string;
    employeeHireDate?: string;
    employeeId?: string;
    employeeOrgData?: any;
    employeeType?: string;
    faxNumber?: string;
    givenName?: string;
    identities?: Array<MicrosoftGraphObjectIdentityCreate>;
    isResourceAccount?: boolean;
    jobTitle?: string;
    mail?: string;
    mailNickname?: string;
    mobilePhone?: string;
    officeLocation?: string;
    onPremisesExtensionAttributes?: any;
    onPremisesImmutableId?: string;
    otherMails?: Array<string>;
    passwordPolicies?: string;
    passwordProfile?: {
        forceChangePasswordNextSignIn?: boolean;
        forceChangePasswordNextSignInWithMfa?: boolean;
        password: string;
    };
    postalCode?: string;
    preferredDataLocation?: string;
    preferredLanguage?: string;
    showInAddressList?: boolean;
    state?: string;
    streetAddress?: string;
    surname?: string;
    usageLocation?: string;
    userPrincipalName?: string;
    userType?: string;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphUserCreate.d.ts.map