/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphEmployeeOrgDataUpdate } from "../definitions/MicrosoftGraphEmployeeOrgDataUpdate";
import { MicrosoftGraphOnPremisesExtensionAttributesUpdate } from "../definitions/MicrosoftGraphOnPremisesExtensionAttributesUpdate";
import { MicrosoftGraphPasswordProfileUpdate } from "../definitions/MicrosoftGraphPasswordProfileUpdate";
export interface MicrosoftGraphUserUpdate {
    accountEnabled?: boolean | null;
    ageGroup?: string | null;
    businessPhones?: Array<string>;
    city?: string | null;
    companyName?: string | null;
    consentProvidedForMinor?: string | null;
    country?: string | null;
    department?: string | null;
    displayName?: string | null;
    employeeHireDate?: string | null;
    employeeId?: string | null;
    employeeOrgData?: MicrosoftGraphEmployeeOrgDataUpdate | null;
    employeeType?: string | null;
    faxNumber?: string | null;
    givenName?: string | null;
    isResourceAccount?: boolean | null;
    jobTitle?: string | null;
    mail?: string | null;
    mailNickname?: string | null;
    mobilePhone?: string | null;
    officeLocation?: string | null;
    onPremisesExtensionAttributes?: MicrosoftGraphOnPremisesExtensionAttributesUpdate | null;
    onPremisesImmutableId?: string | null;
    otherMails?: Array<string>;
    passwordPolicies?: string | null;
    passwordProfile?: MicrosoftGraphPasswordProfileUpdate | null;
    postalCode?: string | null;
    preferredDataLocation?: string | null;
    preferredLanguage?: string | null;
    showInAddressList?: boolean | null;
    state?: string | null;
    streetAddress?: string | null;
    surname?: string | null;
    usageLocation?: string | null;
    userPrincipalName?: string | null;
    userType?: string | null;
    aboutMe?: string | null;
    birthday?: string;
    interests?: Array<string>;
    mySite?: string | null;
    pastProjects?: Array<string>;
    preferredName?: string | null;
    responsibilities?: Array<string>;
    schools?: Array<string>;
    skills?: Array<string>;
    [x: string]: any;
}
//# sourceMappingURL=MicrosoftGraphUserUpdate.d.ts.map