/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MicrosoftGraphWorkbookTableColumnAsResponse } from "../definitions/MicrosoftGraphWorkbookTableColumnAsResponse";
import { CountAsResponse } from "../definitions/CountAsResponse";
import { MicrosoftGraphWorkbookTableRowAsResponse } from "../definitions/MicrosoftGraphWorkbookTableRowAsResponse";
import { MicrosoftGraphWorkbookTableSortAsResponse } from "../definitions/MicrosoftGraphWorkbookTableSortAsResponse";
import { MicrosoftGraphWorkbookWorksheetAsResponse } from "../definitions/MicrosoftGraphWorkbookWorksheetAsResponse";
export interface MicrosoftGraphWorkbookTableAsResponse {
    id?: string;
    highlightFirstColumn?: boolean;
    highlightLastColumn?: boolean;
    legacyId?: string | null;
    name?: string | null;
    showBandedColumns?: boolean;
    showBandedRows?: boolean;
    showFilterButton?: boolean;
    showHeaders?: boolean;
    showTotals?: boolean;
    style?: string | null;
    columns?: Array<MicrosoftGraphWorkbookTableColumnAsResponse>;
    "columns@odata.count"?: CountAsResponse;
    rows?: Array<MicrosoftGraphWorkbookTableRowAsResponse>;
    "rows@odata.count"?: CountAsResponse;
    sort?: MicrosoftGraphWorkbookTableSortAsResponse | null;
    worksheet?: MicrosoftGraphWorkbookWorksheetAsResponse;
}
//# sourceMappingURL=MicrosoftGraphWorkbookTableAsResponse.d.ts.map